vlc (3.0.11-4) unstable; urgency=medium

  * debian/libvlc-bin.postinst: Redirect vlc-cache-gen output to stderr
  * debian/tests: Run vlc-cache-gen with gdb if plugins.dat is missing

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Jul 2020 22:45:52 +0200

vlc (3.0.11-3) unstable; urgency=medium

  * debian/patches: Disable cache generation

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Jul 2020 00:19:43 +0200

vlc (3.0.11-2) unstable; urgency=medium

  * debian/: Use dav1d instead of aom for decoding AV1 videos
  * debian/rules: Remove -Wl,--as-needed

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Jul 2020 23:34:33 +0200

vlc (3.0.11-1) unstable; urgency=high

  * New upstream release
    - Fix a heap-based buffer overflow in hxxx_nall (CVE-2020-13428)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jun 2020 22:47:37 +0200

vlc (3.0.10-2) unstable; urgency=medium

  * debian/:
    - Bump debhleper compat to 13
    - Disable srt until the package is fixed
    - Build omxil plugin only on Raspbian (Closes: #957915)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Jun 2020 23:36:54 +0200

vlc (3.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Apr 2020 22:10:09 +0200

vlc (3.0.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Remove patches integrated upstream
  * debian/copyright:
    - Bump copyright years
    - Update files
  * debian/upstream/signing-key.asc: Re-export upstream's signing key

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Apr 2020 21:29:44 +0200

vlc (3.0.8-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/upstream: Apply upstream patches for chromecast support in avahi
  * debian/: Disable microdns plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Feb 2020 21:44:49 +0100

vlc (3.0.8-3) unstable; urgency=medium

  * debian/control:
    - Replace libfreetype6-dev with libfreetype-dev
    - Bump Standards-Version
  * debian/: Build srt access plugin

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Nov 2019 22:38:08 +0100

vlc (3.0.8-2) unstable; urgency=medium

  * debian/: Revert "Switch back to libmodplug-dev since vlc now requires
    0.8.9.". Patch configure.ac instead.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 21:07:34 +0200

vlc (3.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Fix a buffer overflow in the MKV demuxer (CVE-2019-14970)
    - Fix a read buffer overflow in the avcodec decoder (CVE-2019-13962)
    - Fix a read buffer overflow in the OGG demuxer (CVE-2019-14437,
      CVE-2019-14438)
    - Fix a read buffer overflow in the ASF demuxer (CVE-2019-14776)
    - Fix a use after free in the MKV demuxer (CVE-2019-14777, CVE-2019-14778)
    - Fix a use after free in the ASF demuxer (CVE-2019-14533)
    - Fix a null dereference in the ASF demuxer (CVE-2019-14534)
    - Fix a division by zero in the CAF demuxer (CVE-2019-14498)
    - Fix a division by zero in the ASF demuxer (CVE-2019-14535)
  * debian/: Remove crystalhd plugin. libcrystalhd-dev is scheduled for
    removal.
  * debian/patches: Remove patches included upstream.
  * debian/control: Switch back to libmodplug-dev since vlc now requires
    0.8.9.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Aug 2019 18:50:39 +0200

vlc (3.0.7.1-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix SIGFPE when playing DVDs.
    (Closes: #929491, #923017, #932182)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Jul 2019 10:17:45 +0200

vlc (3.0.7.1-2) unstable; urgency=medium

  * debian/: Remove obsolete maintscripts.
  * debian/control:
    - Remove obsolete transitional package.
    - Remove obsolete Breaks+Replaces.
    - Bump Standards-Version.
  * debian/patches: Apply upstream patches to
    - unbreak rendering in subsvtt.
    - fix integer underflows in mp4. (CVE-2019-13602) (Closes: #932131)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jul 2019 19:55:05 +0200

vlc (3.0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Jun 2019 09:08:03 +0200

vlc (3.0.7-1) unstable; urgency=high

  * New upstream release.
    - Fix multiple integer overflows.
    - Fix multiple buffer overflows.
    - Fix use-after-free issue.
    - Fix NULL pointer dereference.
    - Fix other memory access bugs and infinite loops.
  * debian/rules: Be explicit about --enable-debug/disable-debug.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Jun 2019 01:08:14 +0200

vlc (3.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Jan 2019 20:03:32 +0100

vlc (3.0.5-2) unstable; urgency=medium

  * debian/control: Bump libbluray-dev to >= 1.0.0.
  * debian/: Bump debhelper compat to 12.
  * debian/copyright: Remove paragraphs for no longer existing files.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jan 2019 18:08:58 +0100

vlc (3.0.5-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release:
    - Remove patches included upstream.

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/vlc-plugin-base.install: Install 10-bit x264 plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Dec 2018 19:11:50 +0100

vlc (3.0.4-4) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix integer underflow
    (CVE-2018-19857). (Closes: #915760)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Dec 2018 21:02:57 +0100

vlc (3.0.4-3) unstable; urgency=medium

  * debian/patches: Add support for libplacebo 0.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Oct 2018 18:53:22 +0200

vlc (3.0.4-2) unstable; urgency=medium

  * debian/: Build AOM plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Sep 2018 20:08:29 +0200

vlc (3.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix OpenGL output for single plane devices. (LP: #1774119)
    - Decode AV1 streams. (LP: #1789715)
  * debian/patches: Drop patches merged upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 Aug 2018 19:35:02 +0200

vlc (3.0.3-1-4) unstable; urgency=medium

  * Bump Standards-Version
  * debian/patches: Apply upstream patch for x264 155 support.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Aug 2018 23:03:27 +0200

vlc (3.0.3-1-3) unstable; urgency=medium

  * debian/: Enable libspatialaudio.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Aug 2018 18:26:19 +0200

vlc (3.0.3-1-2) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix build with Qt 5.11.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Jul 2018 19:08:55 +0200

vlc (3.0.3-1-1) unstable; urgency=high

  * New upstream version.
    - mkv: Fix NULL pointer access. (CVE-2018-11529)
  * debian/bug-presubj: No longer include -f.
  * debian/bug-control: Remove Submit-As.
  * debian/patches: Backport upstream patch for fribidi 1.0.x.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Jul 2018 13:44:16 +0200

vlc (3.0.3-2) unstable; urgency=medium

  * debian/patches: Fix build on riscv64 (Closes: #901577)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Jun 2018 10:01:23 +0200

vlc (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 May 2018 23:51:35 +0200

vlc (3.0.2-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream version.
  * debian/rules: Install correct changelog.
  * debian/control: Bump Standards-Version.
  * debian/patches: Remove patched included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Apr 2018 16:52:12 +0200

vlc (3.0.1-3) unstable; urgency=medium

  * debian/control: Re-add some Breaks+Replaces to help Ubuntu reduce the diff
    and be able to handle upgrades from 16.04 to 18.04. (LP: #1753111,
    #1749916)
  * debian/rules:
    - Re-enable Chromecast plugin on Ubuntu. Apparently it works now.
    - Fix typo to really build with all hardening options enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Mar 2018 21:52:05 +0100

vlc (3.0.1-2) unstable; urgency=medium

  * debian/patch: Add missing files for arm64.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Mar 2018 16:28:28 +0100

vlc (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump libplacebo-dev B-D to 0.2.1 (required by upstream).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Mar 2018 11:32:12 +0100

vlc (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    - Bump all newly introduced symbols to version 3.0.0.
    - Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Feb 2018 16:40:34 +0100

vlc (3.0.0~rc8-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 20:00:43 +0100

vlc (3.0.0~rc7-2) unstable; urgency=medium

  * debian/: Disable freerdp plugin. freerdp2 is currently not supported.
    (Closes: #888323)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 25 Jan 2018 00:15:17 +0100

vlc (3.0.0~rc7-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Jan 2018 22:34:33 +0100

vlc (3.0.0~rc6-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/control: Annotate Build-Depends: python3 with :native. (Closes:
    #887440)

  [ Sebastian Ramacher ]
  * New upstream release candidate.
  * debian/rules:
    - Handle vendor consistently.
    - Remove workaround for some resources.
  * debian/vlc-plugin-base.install: Install lua byte code.
  * debian/libvlc-bin.postinst.in: Exit early if plugins directory does not
    exist. (Closes: #887621)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 18 Jan 2018 22:31:56 +0100

vlc (3.0.0~rc5-1) unstable; urgency=medium

  * New upstream release candidate.
    - Fix crash in full-screen mode. (LP: #1740078)
  * debian/copyright: Update copyright years.
  * debian/patches: Removed, included upstream.
  - debian/control: Demote vlc-l10n from Depends to Recommends.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Jan 2018 19:41:02 +0100

vlc (3.0.0~rc4-3) unstable; urgency=medium

  * debian/control:
    - Move to salsa.debian.org
    - Remove obsolete Pre-Depends.
  * debian/NEWS: Remove old NEWS from pre 2.x.
  * debian/:
    - Move documentation to /usr/share/doc/$mainpkg as recommended by policy.
    - Bump debhelper compat to 11.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2018 14:17:42 +0100

vlc (3.0.0~rc4-2) unstable; urgency=medium

  * debian/control: Add Breaks on phonon-backend-vlc to ensure proper
    upgrades.
  * debian/rules: Do not build chromecast plugin on Ubuntu. It fails due to
    issues involving Mir and protobuf.
  * debian/: Enable libplacebo.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jan 2018 09:51:06 +0100

vlc (3.0.0~rc4-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Dec 2017 18:56:14 +0100

vlc (3.0.0~rc2-2) unstable; urgency=medium

  * debian/*.maintscript: Fix symlink to directory conversions.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Dec 2017 21:48:00 +0100

vlc (3.0.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * debian/tests/control: Update list of plugin packages.
  * debian/patches: Removed, no longer needed.
  * debian/vlc-plugin-access-extra.install: Drop no longer built plugin.
  * debian/*.symbols: Add new symbols and bump versions of new symbols to
    3.0.0~rc2.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Dec 2017 23:34:22 +0100

vlc (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control: Move Breaks+Replaces to correct package. (Closes: #884063)
  * debian/:
    - Mark more plugins only built on linux-any.
    - Switch libnotify plugin to GTK+ 3.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Dec 2017 21:46:02 +0100

vlc (3.0.0~rc1~20171210-2) experimental; urgency=medium

  * debian/rules: Ensure tighter dependencies on libraries.
  * debian/: Build wayland plugins only on linux-any.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2017 19:17:48 +0100

vlc (3.0.0~rc1~20171210-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/: Install nfs plugin only on linux-any.
  * debian/*.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2017 13:11:23 +0100

vlc (3.0.0~rc1~20171206-1) experimental; urgency=medium

  * New upstream snapshot.
    - Install vlc_interface.h. (Closes: #768808)
    - Fix stuttering with ALSA output. (Closes: #734100) (LP: #1639479)
    - Fix CRC errors in some FLAC files. (Closes: #772503)
    - Add support for Wayland. (Closes: #857769) (LP: #1720901)
    - Better support for HLS. (Closes: #792647)
    - Update VLSub. (Closes: #868236)
    - Re-write UPnP discovery. (LP: #977277, #1318262)
    - Complete porting to Qt 5. (LP: #1576175)
    - Fix issues with green borders. (Closes: #765969) (LP: #1405166)
  * Remove embedded ffmpeg copy. (LP: #1546078)
  * SONAME bump: libvlccore8 -> libvlccore9.
  * debian/patches: Drop all patches.
  * debian/libvlc-bin.postinst.in: Skip plugin cache generation if no plugins
    are installed. (Closes: #878026)
  * debian/:
    - Drop vlc-plugin-zvbi package and merge into vlc-plugin-base. ffmpeg
      already depends on libzvbi anyway.
    - Update installed plugins.
    - Track plugin ABI.
  * debian/copyright:
    - Convert to CF 1.0.
    - Update copyright information.
  * debian/control:
    - Bump Standards-Versios.
    - Set Rules-Requires-Root: no.
    - Remove vlc-plugin-sdl.
    - Turn vlc-plugin-zvbi into a transitional package.
    - New Build-Depends: bison, flex, libarchive-dev, libaribb24-dev,
      libharfbuzz-dev, libmicrodns-dev, libmpg123-dev, libnfs-dev,
      libprotobuf-dev, libqt5svg5-dev, libsecret-1-dev, libsoxr-dev,
      libsystemd-dev, protobuf-compiler, qtbase5-prive-dev, wayland-protocols.
    - Removed Build-Depends: libcdio-dev.
  * debian/*.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Dec 2017 00:23:24 +0100

vlc (2.2.6-6) unstable; urgency=medium

  * Update to ffmpeg 2.8.13.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Sep 2017 19:37:57 +0200

vlc (2.2.6-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/patches: Add support for libupnp 1.8. (Closes: #868936)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Aug 2017 20:57:06 +0200

vlc (2.2.6-4) unstable; urgency=medium

  * debian/upstream: Add DEP-12 metadata.
  * debian/control:
    - Restrict Recommends on vlc-plugin-samba to linux-any kfreebsd-any.
    - Switch to timgm6mb-soundfont. (Closes: #870790)
    - Bump Standards-Version.
  * debian/{rules,control,vlc-plugin-base}: No longer build directfb plugin.
    directfb upstream is inactive and the plugin got removed for vlc 3.0.
  * debian/vlc-plugin-base.lintian-overrides: Override
    shlibs-with-non-pic-code. See lintian overrides of ffmpeg for more
    details.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 12:56:58 +0200

vlc (2.2.6-3) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/patches: avcodec: Check visible sizes (CVE-2017-10699).

  [ Sebastian Ramacher ]
  * debian/patches: flac: Fix heap write overflow on frame format change.
    (CVE-2017-9300)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Jul 2017 21:35:32 +0200

vlc (2.2.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Update to ffmpeg 2.8.12.
  * debian/control:
    - Remove Build-Conflicts.
    - Bump Standards-Version.
  * debian/rules: Build with hardening=+all.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 18:15:34 +0200

vlc (2.2.6-1) experimental; urgency=medium

  * New upstream release.
    - demuxer: Fix heap buffer overflows (CVE-2017-8312).

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 May 2017 17:35:55 +0200

vlc (2.2.5.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Sebastian Ramacher ]
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 May 2017 15:04:10 +0200

vlc (2.2.5-4) experimental; urgency=medium

  * debian/rules: Revert "Also enable NEON on arm64". (LP: #1685444)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Apr 2017 15:52:57 +0200

vlc (2.2.5-3) experimental; urgency=medium

  * Fix typos in changelog.
  * debian/rules: Also enable NEON on arm64.
  * debian/control: Build-Conflict with Qt in experimental to work around
    #858762.
  * debian/patches:
    - Use gbp-pq for patch management.
    - Apply upstream patch for WebVTT support. (Closes: #858963)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Apr 2017 19:01:02 +0200

vlc (2.2.5-2) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * debian/{control,rules,vlc-plugin-video-output.install}: Disable OpenGL
    ES 1 support, mesa has dropped it. (Closes: #855117)

  [ Sebastian Ramacher ]
  * debian/: Major package clean up.
    - Remove vlc-nox binary package.
    - Update tests to new package layout.
    - Remove obsolete Breaks+Replaces.
  * debian/rules: Be explicit about GLES 1
  * debian/{rules,libvlc-bin.*}: Fix warning about non-empty directory
    (Closes: #854928)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Mar 2017 17:56:16 +0100

vlc (2.2.5-1) unstable; urgency=medium

  * New upstream releases. (Closes: #850529)
  * debian/patches:
    - fix-translation.patch: Refreshed.
    - Removed patches taken from upstream included in 2.2.5.
  * debian/*.maintscript: Bump all versions to 2.2.5-1~z. This is necessary to
    properly handle symlink to directory conversions once 2.2.5 is available
    in jessie.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Mar 2017 21:50:23 +0100

vlc (2.2.4-14) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Update to ffmpeg 2.8.11.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Feb 2017 20:17:50 +0100

vlc (2.2.4-13) unstable; urgency=medium

  * debian/control: Switch to libopenmpt's libmodplug compat layer.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 19:50:54 +0100

vlc (2.2.4-12) unstable; urgency=medium

  * Update to ffmpeg 2.8.10.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 21:11:29 +0100

vlc (2.2.4-11) unstable; urgency=medium

  * debian/patches: Apply upstream to fix VLSub incorrectly announcing HTTP
    1.1 support. (Closes: #847559)
  * debian/control: Make vlc-plugin-skins2 depend on vlc-plugin-qt.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Dec 2016 21:29:12 +0100

vlc (2.2.4-10) unstable; urgency=medium

  * debian/{control,*.links,*.install}: Move qvlc and svlc binaries to
    vlc-plugin-qt and vlc-plugin-skins2. Also add vlc-bin to Recommends.
    (Closes: #841530)
  * Update to ffmpeg 2.8.9.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2016 15:12:16 +0100

vlc (2.2.4-9) unstable; urgency=medium

  * debian/control: Drop dh_buildinfo. This is now automatically recorded by
    dpkg.
  * debian/bug-control: Update list of packages.
  * debian/{control,rules,vlc-plugin-base.install}: Remove libschroedinger
    plugin since the library is about to be removed. See #845037 for details.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Nov 2016 00:16:46 +0100

vlc (2.2.4-8) unstable; urgency=medium

  * debian/NEWS: Remove NEWS entry on package split. On upgrade, new
    Recommends are installed by apt anyway.
  * debian/control:
    - Switch from liblircclient-dev to liblirc-dev.
    - Remove shlibs:Depends from vlc's Depends.
  * debian/rules: Add --disable-neon when building with noopt.
  * debian/patches:
    - drop-check-qt-check.patch: Remove obsolete patches.
    - multiple: Add upstream patches to generate default skins2 skin
      reproducibly. (Closes: #841525)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Nov 2016 13:34:46 +0100

vlc (2.2.4-7) unstable; urgency=medium

  * Split plugins and binaries into different packages. (Closes: #513177)
    - libvlc-bin: constains vlc-cache-gen and triggers plugin cache
      generation.
    - vlc-bin: the VLC binaries.
    - vlc-plugin-base: "base" set of plugins.
    - vlc-plugin-qt: the Qt interface.
    - vlc-plugin-skins2: the Skins2 interface.
    - vlc-plugin-access-extra: extra access plugins.
    - vlc-plugin-visualization: visualization plugins.
    - vlc-plugin-video-splitter: video splitter plugins.
    - vlc-plugin-video-output: video output plugins.
    - vlc-l10n: translations.
    - vlc: contains desktop integration and pulls in most plugins as before.
    - vlc-nox: transitional dummy package
  * Move libraries and plugins to multi-arch locations.
    - debian/control:
      + Add M-A: same for library and plugin packages.
      + Remove most Breaks and Replaces as they are now obsolete.
    - debian/rules: Do not override libdir.
    - debian/*.{lintian-overrides,install}: Update paths for M-A locations.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 19 Oct 2016 17:59:18 +0200

vlc (2.2.4-6) unstable; urgency=medium

  * debian/*.maintscript: Bump all versions to fix symlink-to-directory
    conversions. (Closes: #814646)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Sep 2016 21:08:42 +0200

vlc (2.2.4-5) unstable; urgency=medium

  * Update ffmpeg to 2.8.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Sep 2016 20:29:03 +0200

vlc (2.2.4-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Install solid actions in Frameworks location. (Closes: #834884)

  [ Sebastian Ramacher ]
  * Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Sep 2016 21:29:23 +0200

vlc (2.2.4-3) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/control:
    - Remove Clément Stenac from Uploaders. Thanks for your job!

  [ Sebastian Ramacher ]
  * debian/patches/{vlc_atomic*,Fix-build-using-old-GCC-intrinsics}.patch: Fix
    FTBFS with GCC 6 (Closes: #831199)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jul 2016 00:52:06 +0200

vlc (2.2.4-2) unstable; urgency=medium

  * Build ffmpeg without libopenjpeg (Closes: #826827)
    - debian/control: Remove libopenjpeg-dev from B-D.
    - debian/rules: Build ffmpeg with --disable-libopenjpeg.
  * debian/rules: Revert workaround for zsh completion build failures on
    powerpc. The underlying issue seems to be fixed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jun 2016 11:44:37 +0200

vlc (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - g711-fix-dangling-pointer-fixes-16909.patch,
      adpcm-reject-invalid-QuickTime-IMA-files.patch, zsh-completion.patch,
      frenchtv-links.patch, fix-Hurd-build.patch,
      the-Hurd-also-uses-the-.so-extension-for-libraries.patch: Removed, all
      included upstream.
    - generated-mimetypes.patch: Upstream patch for auto-generated list of
      mime types. (Closes: #822245)
  * debian/{rules,vlc-nox.install}: No longer install old BluRay access
    plugin. (LP: #864933)
  * debian/rules: No longer disable i686 optimization on i386 architectures.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Jun 2016 16:08:54 +0200

vlc (2.2.3-2) unstable; urgency=medium

  * debian/patches:
    - g711-fix-dangling-pointer-fixes-16909.patch: Upstream patch to fix issue
      with some WAV files.
    - adpcm-reject-invalid-QuickTime-IMA-files.patch: Apply upstream patch for
      CVE-2016-5108. (Closes: #825728)
  * debian/rules: Reduce libX11 and libxcb linkage to a warning. Moving the
    ffmpeg and libtheora plugins to vlc does not make much sense.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 May 2016 13:09:00 +0200

vlc (2.2.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/patches:
    - Refresh fix-translation.patch: remove parts included upstream.
    - Remove qt4-Fix-resume-where-you-left-off.patch,
      qt4-input_manager-Always-reset-lastURI-when-stopping.patch,
      avcodec-pass-consistent-dimensions-to-hardware-decod.patch: included
      upstream.
    - Add drop-check-qt-check.patch: to ignore check qt version.

  [ Sebastian Ramacher ]
  * debian/patches: Fix build on hurd-i386. Thanks to Samuel Thibault. (Closes:
    #765578)
  * Update ffmpeg to 2.8.7.
  * debian/vlc{,-nox}.lintian-overrides: Override embedded-libary.
  * debian/source/lintian-overrides: Update overrides.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 May 2016 22:55:00 +0200

vlc (2.2.2-6) unstable; urgency=medium

  * Use embedded copy of ffmpeg 2.8.6. (Closes: #803868)
  * debian/rules:
    * Explicitly disable gst-decode.
    * Enable sndio plugin.
    * Drop unnecessary override.
    * Fix noopt handling.
  * debian/vlc{-nox}.install: Filter plugins with a helper script.
  * debian/control: Bump Standards-Version.
  * debian/watch: Update to version 4.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2016 01:00:56 +0200

vlc (2.2.2-5) unstable; urgency=medium

  * debian/patches:
    - qt4-Fix-resume-where-you-left-off.patch,
      qt4-input_manager-Always-reset-lastURI-when-stopping.patch: Apply
      upstream patches to fix issues with "resume playback" feature.
    - avcodec-pass-consistent-dimensions-to-hardware-decod.patch: Apply
      upstream patch to fix hardware decoding with libvdpau-va-gl.
      (Closes: #813370)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Mar 2016 21:43:11 +0100

vlc (2.2.2-4) unstable; urgency=medium

  * debian/patches/fix-translation.patch: Fix translation of Shortcuts.
    (Closes: #814258)
  * debian/*.maintscript: Switch from absolute to relative paths to better
    handle symlink chains. (Closes: #814646)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Feb 2016 20:21:32 +0100

vlc (2.2.2-3) unstable; urgency=medium

  * debian/*.maintscript: Handle all cases.
  * debian/patches/zsh-completion.patch: Upstream patch to fix zsh completion
    generation.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Feb 2016 20:53:28 +0100

vlc (2.2.2-2) unstable; urgency=medium

  * debian/*.maintscript: Handle more symlink to directory conversions.
  * debian/rules: Do not fail to build if zsh completion fails to generate.
    This is a temporary workaround for a FTBFS on praetorius.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Feb 2016 18:37:02 +0100

vlc (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    - pulse: compute latency correctly if negative. (Closes: #784640)
    - Fix build failure with newer libdvdread-dev. (Closes: #797207)
  * Migrate to automatic debug packages.
  * Tell reportbug to report bugs against src:vlc and install reportbug
    control files in every package.
  * Remove some of the /usr/share/doc/<pkg> symlinks to clean up dependencies.
  * debian/vlc.menu: Removed since vlc contains a desktop file.
  * debian/rules:
    - Remove some parts that are handled by dpkg-dev and debhelper.
    - Install NEWS as upstream changelog.
    - Remove options passed twice to configure.
  * debian/README.{Debian,source}: Removed, outdated.
  * debian/libvlc-dev.examples: Install programming examples.
  * debian/{vlc.,source/}lintian-overrides: Override false positives.
  * debian/NEWS: Fix spelling error.
  * debian/control: Update Vcs-Git.
  * debian/patches:
    - Removed all patches applied upstream.
    - freenchtv-links.patch: Fix links to French TV icons. Thanks to Mathieu
      Malaterre (Closes: #782229).
  * debian/libvlc5.symbols: Bump version of libvlc_event_type_name for new
    event names.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Feb 2016 20:43:05 +0100

vlc (2.2.1-5) unstable; urgency=medium

  * debian/control:
    - Update Breaks + Replaces. (Closes: #799594)
    - Remove vlc-plugin-pulse from Description.
    - Add libxi-dev to B-D for debian/patches/unsubscribe-disable-motion.patch.
  * Add DEP-8 tests
  * debian/libvlccore8.bug-control: Update libavutil package name.
  * debian/libvlccore8.bug-presubj: Mention global plugins cache and
    VLC_PLUGIN_PATH. (Closes: #801439)
  * debian/patches:
    - unsubscribe-disable-motion.patch: Unsubscribe disable motion and
      XI2 mouse events. Fixes mouse event issues with Qt 5.5.
    - alsa-fix-changing-audio-device.patch: Fix changing of audio devices.
      (Closes: #801448)
  * debian/vlc-data.{postinst,maintscript}, debian/vlc.postinst: Remove
    obsolete maintainer scripts.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Oct 2015 23:45:06 +0100

vlc (2.2.1-4) unstable; urgency=medium

  * debian/control:
    - No longer suggest videolan-doc. It is very outdated.
    - Remove transitional vlc-plugin-pulse package.
    - Remove obsolete Breaks and Replaces.
  * debian/libvlccore8.symbols: Bump version requirements for meta data change
    (Closes: #798763, #798899)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Sep 2015 01:07:44 +0200

vlc (2.2.1-3) unstable; urgency=high

  * debian/patches/demux-mp4-correctly-match-release-function.patch: Apply
    upstream patch to fix CVE-2015-5949. (Closes: #796255)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Aug 2015 08:22:53 +0200

vlc (2.2.1-2) unstable; urgency=medium

  * debian/rules:
    - Enable svgdec plugin
    - Remove obsolete dh_builddeb override.
    - Explicitly pass --enable-sdl-image.
  * debian/control:
    - Switch Build-Depends from Qt4 to Qt5.
    - Remove obsolete Breaks+Replaces.
    - Drop libdvbpsi5-dev from Build-Depends.
    - Add libcairo2-dev to Build-Depends for svgdec plugin.
  * debian/vlc.install.in: Install svgdec plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Jun 2015 22:15:28 +0200

vlc (2.2.1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Regenerate plugin cache using triggers. (Closes: #755154) (LP: #1328466)
    - debian/vlc-nox.postinst: Run vlc-cache-gen.
    - debian/vlc-nox.postrm: Remove generated cache.
    - debian/rules: remove plugins.dat generated during the build.
    - debian/vlc-nox.install.in: Do not install pre-generated plugins.dat.
  * debian/control: Add libx265-dev and zsh to Build-Depends.
  * debian/rules:
    - Build with -Wl,--as-needed.
    - Enable x265 plugin.
    - Build zsh completion. (Closes: #316357)
  * debian/vlc-nox.install.in:
    - Install x265 plugin.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/patches:
    - Remove codec-schroedinger-fix-potential-buffer-overflow.patch
    -- included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 11:57:32 +0200

vlc (2.2.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add versioned depends on libvlccore8 to libvlc5 which shares
    /usr/share/doc to comply with Debian policy 12.3. (Closes: #779251)

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #757462, #780476)
    - Fix various (potentially exploitable) heap overflows and heap buffer
      overflows in different demuxers (LP: #1390491)
  * Drop patches included upstream:
    - demux-mp4-fix-buffer-overflow-in-parsing-of-string-b.patch
    - stream_out-rtp-don-t-use-VLA-for-user-controlled-dat.patch
  * Disable build samba plugin on hurd for fix FTBFS. (Closes: #765578)

  [ Benjamin Drung ]
  * Point Vcs-Browser to cgit instead of gitweb.
  * Drop removed --enable-glx configure flag.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 06 Apr 2015 21:27:42 +0200

vlc (2.2.0~rc2-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for security vulnerabilities.
    (Closes: #775866)
    - codec-schroedinger-fix-potential-buffer-overflow.patch: fix potential
      buffer overflow. (CVE-2014-9629)
    - demux-mp4-fix-buffer-overflow-in-parsing-of-string-b.patch: fix buffer
      overflow in parsing of string boxes. (CVE-2014-9626, CVE-2014-9627,
      CVE-2014-9628)
    - stream_out-rtp-don-t-use-VLA-for-user-controlled-dat.patch: don't use
      VLA for user controlled data. (CVE-2014-9630)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Jan 2015 22:41:57 +0100

vlc (2.2.0~rc2-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault in ASCII art plugin. (Closes: #768873)
    - Fix selection of left/right channel in stereo mode. (Closes: #765830)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Nov 2014 13:14:07 +0100

vlc (2.2.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/vlc-nox.install.in: Correctly install sftp plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Nov 2014 17:26:34 +0100

vlc (2.2.0~pre4-2) unstable; urgency=medium

  * Revert "Disable FreeRDP plugin". (Closes: #764294)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Oct 2014 00:02:11 +0200

vlc (2.2.0~pre4-1) unstable; urgency=medium

  * New upstream release.
    - Add video/ogg and audio/ogg to desktop file. (Closes: #762564)
    - Fix output issues with VDPAU. (Closes: #759818)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Oct 2014 00:26:32 +0200

vlc (2.2.0~pre3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Fix typo in changelog

  [ Benjamin Drung ]
  * New upstream release.
  * Disable vpx plugin (not needed when having libavcodec)
  * Remove hurd.patch, because this is a bug in Hurd and not in VLC.
  * Disable OSS on Linux (Use ALSA on Linux instead of OSS.)

  [ Sebastian Ramacher ]
  * Disable FreeRDP plugin as requested by the Release Team because FreeRDP is
    currently broken. This allows us to finish the libav and libvlccore
    transition. As soon as FreeRDP is fixed, this change can be reverted:
    - debian/control: Remove libfreerdp-dev from Build-Depends.
    - debian/rules: Build with --disable-freerdp.
    - debian/vlc.install: Do not install the FreeRDP plugin.
  * debian/control:
    - Remove libdirac-dev from Build-Depends. It is no longer needed.
    - Bump Standards-Version. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Sep 2014 18:13:50 +0200

vlc (2.2.0~pre2-4) unstable; urgency=medium

  * debian/vlc-nox.install.in: libi420_yuy2_altivec_plugin.so moved to
    video_chroma. Fixes package build failure on powerpc.
  * Enable shine and vpx plugins:
    - debian/control: Add libshine-dev and libvpx-dev to B-D.
    - debian/rules: Pass --enable-shine and --enable-vpx.
    - debian/vlc-nox.install.in: Install new plugins.
  * debian/rules: Explicitly disable libtar support.
  * debian/control: Lower Recommends: libdvdcss2 to Suggests to comply with
    Policy §2.2.1. Thanks to Thorsten Alteholz.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Aug 2014 22:58:42 +0200

vlc (2.2.0~pre2-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump libavcodec-dev to >= 6:9 to make sure VDPAU decoding is available.
      (Closes: #728039)
    - Make Breaks and Replaces backport friendly.
    - Fix description of the transitional vlc-plugin-pulse package.
    - Added to Build-Depends: libegl1-mesa-dev, libvncserver-dev (>= 0.9.9),
      libgles1-mesa-dev, libgles2-mesa-dev.
    - Bump required versions in Build-Depends: libdbus-1-dev, libpulse-dev,
      libtag1-dev.
  * debian/rules:
    - Fix post{inst,rm}-has-useless-call-to-ldconfig lintian warning.
    - Enable OpenGL ES v1 and v2 plugins.
    - Enable VNC plugin support.
    - Disable svgdev plugin until libcairo2-dev >= 1.13 is available.
    - Rename configure options that are no longer available (--enable-dirac)
      and update nameing changes (--enable-libfreerdp -> --enable-freerdp,
      --disable-quicksync -> --disable-mfx).
  * debian/vlc-nox.links: Fix broken /usr/share/bug/vlc-nox symlink.

  [ Benjamin Drung ]
  * Bump required versions of libbluray-dev and libopus-dev (according to
    configure).

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Aug 2014 01:54:32 +0200

vlc (2.2.0~pre2-2) unstable; urgency=medium

  * Add vlc-plugin-samba package shipping the Samba plugin. (Closes: #729238)
    - debian/control: Add new vlc-plugin-samba package and add it to vlc's
      Recommends.
    - debian/vlc-{nox,plugin-samba}.install: Move Samba plugin to
      vlc-plugin-samba.
  * Remove vlc-plugin-pulse and put PulseAudio plugins to vlc.
    - debian/control: Turn vlc-plugin-pulse into a transitional package and
      remove it from vlc's Recommends.
    - debian/vlc-{plugin-pulse,}.install: Move PulseAudio plugins to vlc.
  * debian/rules: Improve check if plugins from vlc-nox are linked against
    libX11 or libxcb.
  * debian/vlc{-nox,}.install.in: Move RDP plugin to vlc to get rid of all
    libX11 and libxcb dependencies in vlc-nox.
  * debian/control:
    - Remove obsolete Replaces.
    - Remove obsolete Pre-Depends. dpkg (>= 1.15.6+) is even available in
      squeeze.
    - Mention all plugin packages in the Description.
    - Explicitly list libdbus-1-dev in Build-Depends.
    - Add myself to Uploaders.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Aug 2014 21:12:27 +0200

vlc (2.2.0~pre2-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/patches/freerdp-1.1.0-beta2-API.patch: Apply upstream patch to
    support FreeRDP 1.1.0-beta2 API. (Closes: #757951)

  [ Reinhard Tartler ]
  * New upstream release.
    - Fixes incorrect usage of AVFrame (Closes: #756329)
    - Fixes compilation against newer freerdp: (Closes: #758382, 757951)
  * Bump requirements on libdvdnav and libdvdread
  * Fixes compilation against libav11 (Closes: #758203)
  * Drop patches merged upstream
  * Refresh Hurd patch
  * Update installation paths for several modules
  * Disable libtar support (Closes: #737534)
  * Follow upstream SONAME bump libvlccore7 -> libvlccore8

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2014 18:39:45 -0400

vlc (2.1.5-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Add FFmpeg libraries as alternative build dependencies to libav.
  * Enable VDPAU hardware decoder support.

  [ Mateusz Łukasik ]
  * Fix FTBFS on hurd. (Closes: #742183)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 19 May 2014 13:56:41 +0200

vlc (2.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #742625, LP: #1276650)
  * SECURITY UPDATE: crafted ASF file handling integer divide-by-zero DoS
    - CVE-2014-1684
    (Closes: #743033)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 11 May 2014 00:57:13 +0200

vlc (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * debian/vlc-data.postinst: Check if a directory exists before trying to
    remove it. (Closes: #732806)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Dec 2013 15:19:27 +0100

vlc (2.1.2-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
    - Fix build failure with freetype 2.5.1 (Closes: #731513)
  * Add gpg signature check to watch file.

  [ Mateusz Łukasik ]
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Dec 2013 21:18:56 +0100

vlc (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop altivec patch (fixed upstream).
  * Remove obsolete conffiles (Closes: #703750).

 -- Benjamin Drung <bdrung@debian.org>  Mon, 18 Nov 2013 21:46:53 +0100

vlc (2.1.0-2) unstable; urgency=high

  * Remove mmx and sse2 plugins on non-x86 hardware. (Closes: #727831)
  * Disable Video4Linux2 on kFreeBSD due to a build failure. (Closes: #728130)
  * Switch to debhelper 9.
  * Update minimum version of build dependencies.
  * Explicitly disable plugins that we do not build.
  * Fix build failure on powerpc by correcting the detection of compiler flags
    for altivec.
  * Drop link-binaries-with-c++.patch.
  * Remove the libvaapi plugin from vlc if libva is disabled.
  * Enable libva on kFreeBSD.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 29 Oct 2013 01:55:40 +0100

vlc (2.1.0-1) unstable; urgency=high

  * New major upstream release. (Closes: #436339, #632965, #642187,
    #698023, #593735, #724734, #665732, #700752, #704941, #708953,
    #712935, #398167, #646200, #679654, #654955, LP: #982953, #301193,
    #986785, #1038303, #1109026, #530797, #667584, #938621, #671031,
    #1080847, #1157384, #1173943)
  * Security: Fix buffer overflow in the mp4a packetizer CVE-2013-4388
    (Closes: #726528)
  * Drop configure-m4-undefine.patch. (code in question doesn't exist)
  * Drop dvbpsi.patch. (no longer needed)
  * Drop v4l-kfreebsd.patch. (no longer needed)
  * pnap-grammar.patch: Fix spelling/grammar in 2.1's PNAP dialog.
  * Remove static dependency on libproxy and add runtime dependency for
    libproxy as per upstream changes.
  * Use -mtune instead of --with-tuning, as it was removed.
  * SONAME bump for libvlccore5 to libvlccore7.
  * Update symbols for libvlc5 and libvlccore7.
  * Update file lists to account for new/renamed/removed modules.
  * Add missing Breaks and Replaces for libavcodec_plugin.so move.
  * Disable the static library.
  * Bump to lua5.2.
  * Update debian/copyright to include LGPL where relevant, in response
    to the VLC 2.1 relicensing.

 -- Edward Wang <edward.c.wang@compdigitec.com>  Sun, 06 Oct 2013 11:12:25 -0400

vlc (2.0.8-1) unstable; urgency=low

  * New upstream release.
  * Drop fix-ftbfs-flac-1.3.patch (applied upstream).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Aug 2013 14:19:42 +0200

vlc (2.0.7-4) unstable; urgency=low

  * Team upload.

  [ Reinhard Tartler ]
  * Remove Sam Hocevar from uploaders on his request

  [ Sebastian Ramacher ]
  * debian/patches/dvbpsi.patch: Backport patches from upstream to allow
    building with libdvbpsi 1.0.0. (Closes: #715520)
  * debian/patches/configure-m4-undefine.patch: Prevent m4 errors during
    dh_autoreconf.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Jul 2013 16:24:06 +0200

vlc (2.0.7-3) unstable; urgency=low

  * Drop unused build-dependencies on libglib2.0-0, libsvga1-dev,
    libx11-xcb-dev, and libxt-dev. (Closes: #713989)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 24 Jun 2013 23:07:03 +0200

vlc (2.0.7-2) unstable; urgency=medium

  * Fix FTBFS with FLAC 1.3, Closes: #712687

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Jun 2013 07:38:18 +0200

vlc (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 04 Jun 2013 00:19:49 +0200

vlc (2.0.6-1) unstable; urgency=low

  * New upstream release (LP: #1166189).
  * Drop backported man page patch.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 08 Apr 2013 15:47:10 +0200

vlc (2.0.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Override false positive hardening-no-fortify-functions lintian warnings.
  * Fix build failure on powerpcspe. Thanks to Roland Stigge. (Closes: #701830)
  * Backport man page update to correct title DVD syntax. (Closes: #691957)
  * Fix apport hook. Thanks to Dmitry Shachnev. (Closes: #702942)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 22 Mar 2013 13:37:54 +0100

vlc (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Don't let libvlc-dev depend on libvlccore-dev.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Dec 2012 11:07:35 +0100

vlc (2.0.4-1) unstable; urgency=low

  * New upstream release.
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * Drop backported bp-fix-hang-caused-by-notify.patch.
  * Build the sftp access and Opus codec plugin and add them to vlc-nox.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 18 Oct 2012 18:59:03 +0200

vlc (2.0.3-3) unstable; urgency=low

  * debian/vlc.postinst: Fix directory to symlink upgrade in postinst.
    Thanks to David Prévot <taffit@debian.org> (Closes: #687657)
  * debian/vlc.preinst: Remove insufficient fix to #613121 (similar issue).
    Thanks to David Prévot for the patch.
  * Cherry-pick fix for VLC hang caused by the notify plugin. (Closes: #662628,
    LP: #970447)
  * Drop alternative dependency on transitional ttf-freefont.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 04 Oct 2012 20:59:21 +0200

vlc (2.0.3-2) unstable; urgency=low

  * debian/rules: Use xz compression for binary packages.
    Thanks to Ansgar Burchardt <ansgar@debian.org> (Closes: #683836)
  * Add version to vlc-nox dependency of vlc-plugin-sdl (consistent with other
    plug-ins).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Aug 2012 17:45:01 +0200

vlc (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Jul 2012 17:52:21 +0200

vlc (2.0.2-2) unstable; urgency=low

  * Add missing epoch to libqt4-dev build dependency.
  * Drop libggi2-dev from build dependencies (not needed any more).
    (Closes: #680237)
  * The dependency ttf-freefont was renamed to fonts-freefont-ttf.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 07 Jul 2012 19:13:07 +0200

vlc (2.0.2-1) unstable; urgency=medium

  [ Edward Wang ]
  * New upstream release (Closes: #679625, #664279, LP: #689122, #936488,
    #942126, #971106, #972615, #973051, #987231, #995003, #998538).
    - Fix Ogg Heap buffer overflow. Thanks to Hugo Beauzée-Luyssen
  * Add the crystalhd plugin to the vlc distribution.
  * libcaca_plugin.so now depends on X11 in this release, so it must
    be installed under vlc (versus vlc-nox).

  [ Reinhard Tartler ]
  * Urgency set to medium because a security issue is fixed in this release

  [ Benjamin Drung ]
  * Add new plugins to vlc-nox:
    - crystalhd (Linux amd64 and i386 only)
    - directfb
    - fbosd (Linux only)
    - omxil (Linux only)
  * Add build dependencies for new plugins.
  * Add new symbols to libvlccore5.
  * Switch to debhelper 8.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 30 Jun 2012 18:39:41 +0200

vlc (2.0.1-4) unstable; urgency=high

  * Add missing Breaks and Replaces for moving the documentation from vlc-data
    away from /usr/share/doc/vlc before converting the directory into a symlink.
    (Closes: #665743)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Mar 2012 01:56:37 +0200

vlc (2.0.1-3) unstable; urgency=high

  * Replace symlink by directory in /usr/share/doc/vlc-nox.
    (Closes: #665743, LP: #964449)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Mar 2012 13:29:37 +0200

vlc (2.0.1-2) unstable; urgency=high

  * Really add the preinst from Didier Raboud to vlc to drop it's doc directory
    before unpacking a symlink to vlc-nox's over it. (Closes: #613121, #662217)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Mar 2012 01:33:03 +0100

vlc (2.0.1-1) unstable; urgency=high

  * New upstream release (LP: #931318, #943014, #947814).
  * Change build dependency from libpng12-dev to libpng-dev. (Closes: #662539)
  * Add --enable-dbus to configure flags.
  * Drop patches that were backported and accepted by upstream.
  * Add missing libxinerama-dev build dependency for the Skins2 interface.
  * Add libgtk2.0-dev back to build dependencies for the notify plugin.
  * Set urgency to high for security fixes.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 23 Mar 2012 19:03:52 +0100

vlc (2.0.0-6) unstable; urgency=high

  * Fix FTBFS on kFreeBSD (Closes: #661819):
    - Drop --as-needed as it breaks the build fix for kFreeBSD.
    - Enable linsys only on Linux and exclude the plugins from non-Linux.
      Thanks to Cyril Brulebois for the patch.
    - Adapt the vlc-cache-gen linking patch from Sam Hocevar to also link
      vlc with the C++ standard library.
  * Set urgency to high for the RC bug fix.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Mar 2012 22:28:30 +0100

vlc (2.0.0-5) unstable; urgency=low

  * Rewrite v4l kfreebsd patch.
  * Link vlc-cache-gen with the C++ standard library. (Closes: #660934, #660935)
  * Enable hardened build flags through dpkg-buildflags. (Closes: #658030)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Mar 2012 13:37:41 +0100

vlc (2.0.0-4) unstable; urgency=low

  * Enable and install Open Sound System (OSS) plugin.
  * Fix configure flag from --enable-libv4l2 to --enable-v4l2.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 28 Feb 2012 23:31:14 +0100

vlc (2.0.0-3) unstable; urgency=low

  * Fix v4l2 build failure on kfreebsd. (Closes: #660935)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 26 Feb 2012 18:03:39 +0100

vlc (2.0.0-2) unstable; urgency=low

  * Remove nasm and yasm form build dependencies (they are not used).
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Backport patch from upstream to the fix build failures on kfreebsd.
    (Closes: #660935)
  * altivec-cflags.patch: Add missing CFLAGS_* variables to pass the "-maltivec"
    flag. This should fix the build failure on powerpc. (Closes: #660936)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 26 Feb 2012 01:26:21 +0100

vlc (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #499381, #573064, #624027, LP: #455825,
    #573775, #695882, #705151, #708448, #738381, #743581, #747757, #817924,
    #931083).
  * Remove dropped mozilla-plugin-vlc, vlc-plugin-ggi, and vlc-plugin-svgalib.
    The Mozilla browser plug-in is now provided by a separate source tarball.
  * Add new plugins to and remove dropped plugins from vlc-nox.
  * Add new and remove dropped build dependencies:
    + libbluray-dev (for Blu-ray support)
    + libresid-builder-dev
    + libsamplerate0-dev
    + libsidplay2-dev
    + lbspeexdsp-dev
    + libxcb-composite0-dev
    - libgtk2.0-dev
    - xulrunner-dev
  * vlc-plugin-fluidsynth depends on fluid-soundfont-gm or
    musescore-soundfont-gm for having a sound font for playing MIDI files.
  * Drop all patches (they were either backported or accepted by upstream).
  * Update symbols for libvlc5.
  * Install plugins.dat instead of running vlc-cache-gen in postinst.
  * Update minimum version of build dependencies.
  * Change Build-Dependency from libupnp3-dev to unversioned libupnp-dev.
    (Closes: #656831)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 18 Feb 2012 01:29:48 +0100

vlc (1.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #604687).
  * Drop backported patches and patches that were accepted by upstream.
  * Refresh remaining patches.
  * Add mailcap entry for Ogg Video (Closes: #651662).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 31 Dec 2011 13:42:26 +0100

vlc (1.1.12-3) unstable; urgency=low

  [ Didier Raboud ]
  * Install v4l2 modules on kfreebsd-*. (Closes: #648090)

  [ Benjamin Drung ]
  * Explicitly enable v4l2 on kfreebsd and build depend on libv4l-dev.
  * Fix build failure with Iceweasel/Firefox 8.0. Thanks to Mathieu
    Trudel-Lapierre for backporting the upstream patch.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Nov 2011 00:10:53 +0100

vlc (1.1.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a preinst to vlc to drop it's doc directory before unpacking a
    symlink to vlc-nox's over it. (Closes: #613121)

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Nov 2011 16:40:10 +0100

vlc (1.1.12-2) unstable; urgency=low

  * Apply patches from upstream's 1.1 maintenance branch.
    - Turn on XVideo color key automatic painting (fix upstream #4643)
    - Set channel map when using PulseAudio 1.0
    - Translation updates

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Oct 2011 20:17:03 +0200

vlc (1.1.12-1) unstable; urgency=low

  * New upstream release.
    - Multiple fixes and improved synchronization for PulseAudio support
      (Closes: #601826, LP: #805807).
    - Fix segmentation fault (LP: #803006).
    - Addd GenericName entries to desktop file (Closes: #640911).
    - Do not ignore the --quiet flag (Closes: #531975).
    - Fix vlc runs xdg-screensaver with signal child blocked (Closes: #640245).
    - Fix crashes when trying to play youtube URLs (Closes: #641507).
  * Drop xulrunner-1.9.1.patch (accepted upstream).
  * Refresh 200_osdmenu_paths.patch.
  * Fix typo in vlc.desktop: Name[nn] -> GenericName[nn].

 -- Benjamin Drung <bdrung@debian.org>  Fri, 07 Oct 2011 01:21:06 +0200

vlc (1.1.11-2) unstable; urgency=low

  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634726)
  * Build and install the libx264 plugin.
  * Add firefox-dev as alternative build dependency to xulrunner-dev for Ubuntu.
  * Build with "--with-mozilla-pkg=mozilla-plugin" rather than
    "--with-mozilla-pkg=libxul". The plugin doesn't appear to be using XPCOM,
    and shouldn't be linking against Mozilla libs. Thanks to Chris Coulson.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 26 Jul 2011 20:11:10 +0200

vlc (1.1.11-1) unstable; urgency=high

  * New upstream release.
    - Fix heap overflow in RealMedia plugin (Closes: #633674, LP: #807486)
    - Fix heap overflow in AVI plugin (Closes: #633675, LP: #807488)
  * Call dh_autoreconf with --as-needed and drop 052_as-needed.patch.
  * Drop backported patches.
  * Drop libschroedinger weaken patch (upstream weakened it to 1.0.6).
  * Refresh remaining patches.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 18 Jul 2011 10:26:56 +0200

vlc (1.1.10-1) unstable; urgency=high

  [ Benjamin Drung ]
  * New upstream release.
    - Security: Fix XSPF integer overflow (CVE-2011-2194) (LP: #795410)
    - Improve .desktop file:
      - Add smb as supported protocol (Closes: #622879, LP: #737192)
      - add video/webm to supported MIME formats (LP: #769463)
    - Fix libdvdread errors while playing ogg files (Closes: #622935)
    - Support three channels in pulseaudio output plugin (LP: 743478)
    - PulseAudio output re-written due to unstability of the current one
      (LP: #743323)
    - Fix crashes (LP: #754497, #785979)
    - Qt: allow drag and drop of any URL, not just a local file (LP: #664030)
    - Fix libvlcplugin.so: undefined symbol: NPP_Initialize (LP: #722690)
  * Refresh patches.
  * Drop as-needed patch due to autoreconf run.
  * Backport PulseAudio build fix.
  * Add GNOME MIME types for Ogg Vorbis and Ogg Theora (Closes: #629619).
  * Mention potcast support in package description (Closes: #488771).

  [ Reinhard Tartler ]
  * run autoreconf on the buildds
  * Weaken dependencies on libschroedinger

 -- Benjamin Drung <bdrung@debian.org>  Sat, 11 Jun 2011 19:32:24 +0200

vlc (1.1.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix heap corruption in MP4 demuxer (LP: #756368).
    - Fix fullscreen controller has no background in KDE4 (LP: #661020).
  * Refresh patches and drop backported VideoLAN-SA-1103.patch.
  * Adjust the vlc lintian-overrides for the latest lintian version.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 14 Apr 2011 11:18:57 +0200

vlc (1.1.8-3) unstable; urgency=medium

  * Fix heap corruption in MP4 demuxer
    - VideoLAN-SA-1103
    - Thanks to Rémi Denis-Courmont
  * Set urgency to medium
  * Set policy to 3.9.2 (no change needed)

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 11 Apr 2011 22:12:15 +0100

vlc (1.1.8-2) unstable; urgency=low

  * Require libschroedinger >= 1.0.10 (Closes: #619858)
  * Relax libmatroska-dev versionned b-depedency

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 28 Mar 2011 23:18:04 +0100

vlc (1.1.8-1) unstable; urgency=low

  * New upstream release.
    - Fix a busy loop and socket leak in lua (Closes: #607869).
  * Refresh xulrunner patch.
  * Drop backported libmatroska 1.1 patch.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 24 Mar 2011 14:14:36 +0100

vlc (1.1.7-4) unstable; urgency=low

  * v4l is gone from the linux 2.6.38 kernel. Build only v4l2.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Mar 2011 22:29:04 +0100

vlc (1.1.7-3) unstable; urgency=low

  * adjust debian/source/local-options to team guidelines
  * Fix building against libmatroska 1.1, Closes: #614088
  * Add myself to Uploaders.
  * build against libmatroska 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Mar 2011 11:16:48 +0100

vlc (1.1.7-2) unstable; urgency=low

  * Upload to unstable.
  * Make vlc compatible with xulrunner 1.9.1.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Feb 2011 23:16:02 +0100

vlc (1.1.7-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Drop backported patch and refresh remaining patches.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 31 Jan 2011 23:25:12 +0100

vlc (1.1.6-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Tighten some build dependencies (Closes: #605638)

  [ Benjamin Drung ]
  * New upstream release.
    - Fix heap buffer overflow in Real demuxer (CVE-2010-3907) (LP: #690173)
    - Fix blue face issue with X11 ouput (LP: #665298)
    - Fix crash with SIGSEGV in QMetaObject::activate() (LP: #448082)
    - Fix heap overflow in CDG decoder and XML heap corruption (LP: #707154)
  * Drop backported patches.
  * Tighten more build dependencies after reviewing configure.ac.
  * Update my email address.
  * Add lirc build failure fix patch.
  * Build depends on libgtk2.0-dev for notify module.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 24 Jan 2011 23:16:54 +0100

vlc (1.1.5-3) experimental; urgency=low

  * Apply upstream fix for KDE device actions. (LP: #542293)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Nov 2010 00:26:15 +0100

vlc (1.1.5-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * fix Breaks/Replaces for moving avcodec module around (Closes: #603912)

  [ Benjamin Drung ]
  * Fix KDE device action file locations. (LP: #542293) - thanks to Lari Natri
  * Fixed wrong aspect ratio in transcoded image from webcam.
    (Closes: #603888, LP: #672304)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Nov 2010 00:19:39 +0100

vlc (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * Fix path typo in NEWS file. (Closes: #599314)
  * Install all docs into /usr/share/doc/vlc-nox and link the vlc doc dir to it.
  * Recommend xdg-utils, because xdg-screensaver is required for disabling
    the screensaver. (Closes: #436339)
  * Add libxscreensaver plugin to vlc.
  * Add new symbol to libvlc5.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 14 Nov 2010 21:27:56 +0100

vlc (1.1.4-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream bugfix release
    + Remove unneeded patch

  [ Benjamin Drung ]
  * Symlink corresponding FreeSans system font instead of linking to DejaVu.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 05 Sep 2010 01:47:07 +0200

vlc (1.1.3-2) experimental; urgency=low

  [ Christophe Mutricy ]
  * Depends on xulrunner-dev >= 1.9.2
  * Activate VA-API (Closes: #587792, LP: #539406)

  [ Benjamin Drung ]
  * Switch to dh7.
  * Move libavcodec plugin from vlc-nox to vlc.
  * Add Xb-Npp header to mozilla-plugin-vlc package. (Not doing anything
    on Debian at the moment, see #484010)
  * Add apport hook to include more VLC dependencies in bug reports and
    install it on Ubuntu.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 19 Aug 2010 22:27:45 +0200

vlc (1.1.3-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
    + Fix insufficient input validation in TagLib plugin.
      (VideoLAN-SA-1004, CVE-2010-2937) (Closes: #592669, LP: #616510)
    + Set urgency to medium
  * 502_xulrunner_191.diff: Shorten, split into two parts, and refresh it.
  * Drop 102_dejavu_font.diff and depend on ttf-freefont instead of ttf-
    dejavu-core. ttf-freefont is very likely to be present on a Debian
    box, because cups depends on it.
  * Drop 501_decrease_alsa_buffer.diff. The pulseaudio output module has
    a higher priority than the ALSA output plugin and should be used on
    pulseaudio systems.

  [ Reinhard Tartler ]
  * add DM-Upload-Allowed field to debian/control

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Aug 2010 06:59:17 +0200

vlc (1.1.2-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
  * Also check for libxcb
  * Move xcb_apps SD to vlc
  * Re-enable the modplug module and require the fixed version
    (Closes: #589890, #590787)
  * Fix location of icons in vlc.menu (Closes: #590294)
    thanks to Juhapekka Tolvanen
  * Split the notify plugin to not depend on GTK+ (Closes: #590504)
    thanks to Viktar Vauchkevich

  [ Benjamin Drung ]
  * Add proper Breaks and Replaces to vlc and vlc-plugin-notify.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Aug 2010 01:38:17 +0200

vlc (1.1.1-1) unstable; urgency=low

  * New upstream release
    + Remove patches merged upstream
    + Add new symbols in libvlc5
  * Explicit the split of vlc-plugin-zvbi in debian/changelog (Closes:
    #588468)
  * Disable modplug as libmodplug in sid is buggy (see #588465)
  * Add comment about merging in README.source

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 22 Jul 2010 00:36:00 +0200

vlc (1.1.0-4) unstable; urgency=low

  * also move udev to the list of linux specific features
  * alphabetize configure switches
  * fix kfreebsd ftbfs in access file module (Closes: #588655)
  * forcefully disable alsa on kFreeBSD

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Jul 2010 19:39:57 -0400

vlc (1.1.0-3) unstable; urgency=low

  * really enable dc1394 only for Linux, Closes: #588410

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Jul 2010 15:18:08 -0400

vlc (1.1.0-2) unstable; urgency=low

  * libdc1394 is linux specific.
  * Fix FTBFS on arm with patch cherry-picked from upstream
  * Set policy to 3.9.0 (no change needed)

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 07 Jul 2010 22:52:17 +0100

vlc (1.1.0-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream version 1.1.0 (Closes: #586760, LP: #597108)
    * Fixes many bugs (Closes: #572151, #578917, #526088, #572914, #503377;
      LP: #206152, #261001, #281478, #282215, #282966, #283379, #283855,
      #285681, #287263, #328064, #328861, #346631, #356006, #356908, #357595,
      #358461, #362793, #368599, #375854, #380077, #383443, #403135, #403657,
      #403802, #414069, #415396, #416294, #419915, #422797, #425975, #427247,
      #435225, #439271, #442038, #444795, #453928, #459515, #461443, #465687,
      #466418, #476478, #482440, #491151, #491601, #514915, #517329, #517496,
      #537627, #539406, #542293, #549029, #549902, #550468, #550485, #550599,
      #551482, #553503, #554277, #556440, #560167, #564964, #566347, #568750,
      #570666, #582785, #584009, #586692, #587528)
    * SONAME changes
    * Update symbols files
    * Refresh patches and remove the ones merged upstream
  * rules:
    * Disable projectm and sqlite
    * Upstream Makefile install icons at the good place, simplify debian/rules
    * Specify where to install solids files
    * Install the optim only if present
    * Make sure we have useful build log
  * *.install: reflect new modules path and add new files
  * Add a trigger to generate the modules' cache as root.
  * Update the doc which get installed
  * control:
    * Prefer a recent libdvbpsi
    * add lua5.1 to have luac
    * Add more build-dep: xcb*, dirac, dc1394
  * Patch to allow compilation with xul 1.9.1
  * Remove unneeded -V for dh_makeshlibs
  * Use configure option instead of patching
  * Use dh_bugfiles and update the bug control file
  * Don't advertise deprecated package in vlc's manpage
  * Add some news about lua and zvbi
  * Move the luahttp's .hosts to /etc/vlc

  [ Benjamin Drung ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Disable portaudio module.
  * Update symbols files.
  * Cleanup clean rule and other parts of debian/rules.
  * Remove default values from git-buildpackage config.
  * Change installation of man pages.
  * Remove unused ${shlibs:Depends}.
  * Sort Build-Depends and Depends.
  * Remove unused libhal-dev from Build-Depends (Closes: #580407).
  * Remove unused --enable-release configure flag.
  * Remove unused Build-Depends libid3tag0-dev, libsysfs-dev, and libxv-dev.
  * Provide VBI teletext plugin (Closes: #563873) - thanks to László
    Benedek <benedekl@gmail.com> for the patch.
  * Split the VBI teletext module to its own package vlc-plugin-zvbi.
  * Enable atmo, fluidsynth (separate package), libproxy (Closes: #532110),
    kate (Closes: #563464), and mtp plugin.
  * Comment disabled features.
  * Explicitly enable or disable features.
  * Vcs-Browser link to summary page.
  * Convert patch header to DEP-3 and add DEP-3 to 502_xulrunner_191.diff.
  * Add myself to Uploaders.
  * Drop --sourcedir=debian/tmp from dh_install.

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 24 Jun 2010 22:01:26 +0100

vlc (1.0.6-1) unstable; urgency=low

  * New upstream version 1.0.6
    + VideoLAN-SA-1003
    + Closes: #578799
    + LP: #408719, #464715, #465560, #502637, #525278, #542943, #568859
  * RTMP access module has been removed (vlc-nox.install, NEWS.Debian)
  * Remove patches merged upstream

 -- Christophe Mutricy <xtophe@videolan.org>  Fri, 23 Apr 2010 11:49:18 +0200

vlc (1.0.5-2) unstable; urgency=medium

  [ Christophe Mutricy ]
  * Install reportbug files also in vlc-data (LP: #472893)
  * Fix symlinks
  * vlc-data Replaces very old vlc as well as vlc-nox (Closes: #570749)
  * Set urgency to medium as we fix RC bug
  * Fix crash on malformed rtmp stream. (Closes: #569151)
  * Fix crash in FTP url handling (LP: #465560)

  [ Benjamin Drung ]
  * Install icons in all available sizes (LP: #521744).

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 02 Mar 2010 00:30:56 +0100

vlc (1.0.5-1) unstable; urgency=low

  * New upstream version 1.0.5
    + Closes: #556666, #565044

  [ Reinhard Tartler ]
  * Remove excessive replaces relationship
  * Update for menu subpolicy, Closes: #564218

  [ Christophe Mutricy ]
  * NEWS.Debian: Use version present in Changelog
  * Add comments to overrides file
  * Add misc:Depends to vlc-data's Depends
  * Refresh patches

  [ Benjamin Drung ]
  * Formatting improvements; thanks to Gerfried Fuchs for the patch
    (Closes: #566384).
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 13 Feb 2010 15:52:30 +0000

vlc (1.0.4-2) unstable; urgency=low

  * Report libavutil50 presence the correct way
  * Move back hotkeys to vlc-nox (Closes: #563477)
  * Fix Replaces/Conflicts version so that upgrade work (Closes:
    #563476, #563483)
  * Add patch taken from upstream to fix jack input with jack2 (Closes:
    #532339) - thanks to Adrian Knoth
  * Disable access_dv on non-Linux archs

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 05 Jan 2010 23:31:56 +0100

vlc (1.0.4-1) unstable; urgency=low

  * New upstream release
    + According to upstream, no longer overlaps kde and xfce panels in
      fullscreen mode, Closes: #562601, LP: #453173

  [ Christophe Mutricy ]
  * libavutil50 seems to be troublesome. Add it to bugs/control
  * Add a vlc-plugin-svg package (Closes: #560009)
  * Switch to xulrunner-dev (Closes: #555915)
  * Activate the global hotkey module (Closes: #548916)
  * Mention other maintainers and that the binaries are GPL v3 as we
    link with LGPL v3 libraries (LP: #489093)
  * Build-depend on a recent enough live555 to avoid comma vs. decimal
    point problem (Closes: #539946)

  [ Benjamin Drung ]
  * Recommend vlc-plugin-pulse for vlc, so that pulse can be used as
    default output.

  [ Whoopie ]
  * Enable CDDB in the CDDA module (LP: #439131)
  * Enable DV support (LP: #392115)

  [ Benjamin Drung ]
  * Fix typos, that are reported by lintian.
  * Sort confflags in debian/rules
  * Split normal configure flags from feature configure flags

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 30 Dec 2009 12:56:49 +0100

vlc (1.0.3-1) unstable; urgency=low

  * New upstream release

  [ Reinhard Tartler ]
  * Decrease alsa buffer size. That improves the behaviour of the alsa output
    module on pulseaudio system. But note that vlc-plugin-pulse provides a
    native pulseaudio output module (Closes: #472811, LP: #243152)

  [ Christophe Mutricy ]
  * No longer need to build an extra libvlccore without altivec
  * Add the upnp access module (LP: #172938)
  * Activate the new udev SD module on linux archs

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 05 Nov 2009 12:39:35 +0100

vlc (1.0.2-1) unstable; urgency=high

  * New upstream release
    + Fix some stack overflows in MP4, ASF and AVI demuxers
      (VideoLAN-SA-0902, CVE pending)(urgency=high)
    + Closes: #540145, #542108
  * Fix kfreebsd FTBFS and simplify (Closes: #545863)
    Thanks to Petr Salinger
  * Fix Hurd install
  * Update libvlccore symbol file
  * Remove libass API patch
  * Remove uneeded build-deps

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 20 Sep 2009 01:08:41 +0200

vlc (1.0.1-2) unstable; urgency=low

  * Fix typo in debian/changelog
  * Allow building against libass 0.9.7
  * Don't try to install v4l2 modules on kfreebsd
  * Set policy to 3.8.3 (no change needed)
  * No need of qt4-dev-tools
  * Add a README.source about quilt
  * Disable some modules (kate, mtp, fluidsynth)
  * Don't distribute the *.install-kfreebsd* files as they are generated

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 06 Sep 2009 19:07:24 +0200

vlc (1.0.1-1) unstable; urgency=low

  * New upstream bugfix version
    + Fix integer underflow in Real RTSP (DZC-2009-001, CVE pending)
    + Fix crashes in xspf files handler (LP: #365638)

  [ Reinhard Tartler ]
  * Add versioned build dependency on libschroedinger-dev

  [ Christophe Mutricy ]
  * Really build altivec-free libvlccore (Closes: #523035)
  * Depends on libdvbpsi5-dev and protect against future renaming of
    libdvbpsi development package
  * Remove patches applied upstream

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 29 Jul 2009 00:21:39 +0200

vlc (1.0.0-1) unstable; urgency=low

  * New Upstream Release
    + Closes: #536081, LP: #396548
    + Refresh patches
  * no longer closes when pausing from the notification area, LP: #371515
  * fix encoding bug when opening subtitles with non-latin characters,
    LP: #394449
  * Don't install the alsa and OSS access module on kfreeBSD (Closes:
    #535101) - thanks to Javier Mendez Gomez
  * Force at least libvlc 1.0.0 becasue of tha soname change of
    libvlccore
  * Delete a symbols who was present by mistake.
  * No need for dh_desktop. It's a no-op
  * New standard version. No change needed
  * Fix make distclean. New patch taken from upstream
  * Upstream make distcheck has been fixed. No need to save Changelog

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 09 Jul 2009 13:04:20 +0000

vlc (1.0.0~rc2-1) experimental; urgency=low

  * New Upstream Release Candidate
    + Closes: #527010, #491441, #508618, #522824
  * Delete patches which were picked from upstream
  * Refresh patches
  * Remove vlc-plugin-esd and vlc-plugin-arts as they have been removed
    by upstream
  * SONAME change for libvlccore
  * Add new symbols for libvlc2
  * Fix static libs compile
  * Use vlc-wrapper manpage from upstream
  * vlc.install: add drawable and screen was renamed x11_screen
  * vlc-nox.install: Add and remove modules added/removed upstream
  * Point out in NEWS the modules renamed or splited
  * Add links to upstream NEWS and co in vlc-nox
  * Version the depedency of libvlcore2 on vlc-data
  * Remove unnecessary "Section:" in debian/control

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 03 Jun 2009 17:55:10 +0200

vlc (0.9.9a-3) unstable; urgency=medium

  * Correct typo in 0.9.9a-2 changelog entry
  * Disable more optimization with DEB_BUILD_OPTIONS=noopt
  * Cache the configure test results as we're running configure several
    times
  * Fix building as root
  * Fix the clean target
  * Remove unexistant config options
  * Better check commad line
  * Use all the procs on i386 and amd64
  * Build a version of libvlccore without altivec (Closes: #523035)
  * Fix typo (thanks to Salvatore Bonaccorso)(Closes: #528044)
  * Reword the command line to get full logs in bug/presubj (Closes: #527012)
  * Remove duplicate "extended Settings" entry in context menu
   (Closes: #526603) - thanks to Matt Kraai
  * Disable the logging facility in the javascript of moz plugin
    This was a privacy hole. (urgency=medium)(Closes: #529633)
  * Patch to support libmpc new API (Closes: #476375) - thanks to Yavor
    Doganov
  * Disable-maintener mode
  * Make sure unpatch is last in the clean target

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 06 Jun 2009 16:56:16 +0200

vlc (0.9.9a-2) unstable; urgency=medium

  * Security fix
  * The default /usr/share/http/{old}/.hosts was wrong in VLC 0.9.8 and 0.9.9.
    World access of the http interface was possible when activated in
    contradiction of what is said in Changelog.Debian and NEWS.Debian.

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 07 Apr 2009 23:06:48 +0200

vlc (0.9.9a-1) unstable; urgency=low

  * New upstream version 0.9.9a
   + Closes: #520149, #522170, #522185, #522554
   + Update symbol files
  * Fix some typo in bug/presubj
  * Remove some Replaces/Conflicts against version not in etch
  * Move the caca module to vlc-nox
    + Re-add some Replaces/Conflicts
    + Closes: #522040

 -- Christophe Mutricy <xtophe@videolan.org>  Fri, 03 Apr 2009 00:12:49 +0200

vlc (0.9.8a-3) unstable; urgency=low

  [ Reinhard Tartler ]
  * fix typo in '--enable-maintainer-mode' (Closes: #517155)

  [ Christophe Mutricy ]
  * Fix build on non-Linux arch
  * Fix cross-compilation
  * VLC is GPV v2 or later. So point to v2 of the GPL
  * We can use debhelper v7 without trouble
  * Add lintian overrides.
  * Set policy to 3.8.1
  * debian/patches/*
    + Prune doc/fortunes.txt from personnal attack (Closes: #401560,
      #518300)
    + Delete unused patches
    + Add comments to the patches
  * Move to the video and debug sections

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 15 Mar 2009 16:50:18 +0000

vlc (0.9.8a-2) unstable; urgency=low

  * Upload to unstable
  * Rebuild against new libraries (Closes: #516316, #516731)
  * Move packaging to Git
    + Add a conf file for git-buildpackage
    + Reflect change to git in Vcs fields
    + Ignore file generated by dpkg-buildpackage
  * Disable the DV access module until it's ported to the new API
  * Move http/.hosts to /etc (Closes: #501791)
  * Improve some short descriptions
  * Depends on debhelper >7
  * Fix for 2 builds in a row
  * Add a note in NEWS about running as root and vlc-wrapper (Closes: #507872)

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 24 Feb 2009 16:00:31 +0100

vlc (0.9.8a-1) experimental; urgency=low

  * New upstream release
    + Fix integer overflow in Real demux (VideoLAN SA-2008-11, CVE-2008-5276)
  * Enable RealRTSP access module
  * Depends on libv4l-dev to add support of some webcam
  * Don't rebootstrap. The packages causing troubles previously have been fixed

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 03 Dec 2008 20:20:52 +0100

vlc (0.9.6-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Build against libass. Closes: #499063, LP: #210354, #199870
  * Explicitly build against libdca in debian/rules
  * Tighten build depends on a libass-dev version that ships without .la file

  [ Christophe Mutricy ]
  * New bugfix upstream releases
    + Remove 402_tivo_overflow.diff
    + Fix buffer overflow in CUE demuxer (Closes: #504639)
    + Fix buffer overflow in Realtext decoder
  * Honor DEB_BUILD_OPTIONS
  * Rebootstrap in order to avoid problem with .la

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 08 Nov 2008 03:14:29 +0100

vlc (0.9.4-2) experimental; urgency=low

  * Fix buffer overflow in Tivo demuxer
    + Closes: #502726, VideoLAN SA-0809
    + 402_tivo_overflow.diff taken from upstream
  * Better xinerama fullscreen behaviour
    + 401_detect_xinerama_fullscreen.diff taken from upstream
  * Builddepends on libcursesw5-dev rather than libcurses5-dev
    for proper wide char handling

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 20 Oct 2008 23:23:46 +0200

vlc (0.9.4-1) experimental; urgency=low

  * New upstream bugfix version
  * rules: Pass the debian version in configure.ac so that the cache
    is invalidated between binary version
  * control: Don't forget commas in builddep list

 -- Christophe Mutricy <xtophe@videolan.org>  Tue, 07 Oct 2008 00:17:30 +0200

vlc (0.9.3-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
  * Build-depends on libdca-dev
  * vlc-nox.install
    + Be more general for the memcopy modules.
      Fix a FTBFS on non-intel arch (Closes: #499860).
  * Sort builddep list

  [ Reinhard Tartler ]
  * remove spurious conflicts on libvlc2. LP: #274614

 -- Christophe Mutricy <xtophe@videolan.org>  Fri, 26 Sep 2008 23:49:48 +0200

vlc (0.9.2-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
    + Soname changed
    + Bugs fixed upstream: Closes: #487646,  #298150, #325069, #392292,
      #458004, #470903, #458004, #423121
    + new upstream fixes various crasher bugs reported in ubuntu:
      LP: #189575, #113927, #103741, #111615, #107899, #112076, #198916, 221428,
          #91679, #96978, #123589, #133528, #231621, #259025
    + plays files with '+' in its name, LP: #239431, #217305
    + New packages: libvlccore0, libvlccore-dev, vlc-plugin-pulse
     (Closes: #471069)
    + Build-depends on libswsale-dev, libshout3-dev, libxpm-dev,
      zlib1g-dev, liblua5.1-0-dev, libschroedinger-dev, libtag1-dev,
      libqt4-dev, libqt4-dev-tools and pkg-config. (Closes: #461324)
    + time display no longer incomplete, LP: #193445
    + fixed volume bar behavior, LP: #250041
    + shout support closes LP: #127594, #84098,
    + Install new modules:
      - vlc-nox: alphamask, blendbench, bluescreen, canvas, cc, cdg, chain,
        colorthres, croppadd, dynamicoverlay, erase, faad, gaussianblur, grain,
        inhibit, lua, memcpy*, mmap, osd_parser, puzzle, remoteosd, rtmp,
        schroedinger, sharpen, stats, subusf, t140, telepathy, v4l2, vmem
      - vlc: qt4
      - vlc-plugin-jack: access_jack
    + Distribute the .pc for libvlc and vlc-plugin (Closes: #289507)
    + Remove wx interface and glide plugin as they've been dropped by upstream
      LP: #205325, #88487, #90603, #150380
    + The Python and java bindings are no longer part of the upstream tarballs
      (Closes: #469011)
    + Temporarly disable libdca module until a pkg with the new
      API get in unstable
    + Delete or refresh patches
    + New patches:
        - 052_as-needed taken from bug #347650 to teach libtool about
          -Wl,--as-needed
  * Install the skins DTD and the default skins it's only 113kB
  * Improve watch file
  * Add a vlc-data package for /usr/share  (13 MB)
  * Add a vlc-dbg package (Closes: #491564)
  * Sort vlc.install and vlc-nox.install

  [ Mohammed Adnène Trojette ]
  * Add myself to Uploaders.
  * debian/control:
    + Add proper conflicts/replaces to vlc-data with mozilla-plugin-vlc.
    + Add proper conflicts/replaces to vlc with vlc-nox.


 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 17 Sep 2008 00:49:48 +0200

vlc (0.8.6.i-2) experimental; urgency=high

  [ Loic Minier ]
  * Fix changelog entries for 0.8.6.h-2 and 0.8.6.h-3.
  * Bump up Standards-Version to 3.8.0.

  [ Christophe Mutricy ]
  * Security: Fix integer overflow in mms module (CVE-2008-3794)
    (Closes: #496265)(407-mms-overflow.diff taken from upstream)

  [ Sam Hocevar ]
  * debian/patches/300_manpage_syntax.diff: fix vlc-config.1 syntax.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 26 Aug 2008 23:25:13 +0000

vlc (0.8.6.i-1) experimental; urgency=low

  * New upstream release.
    - Refresh patch 010_iceape and change it to only patch the name of the .pc
      files, keep using FIREFOX_CFLAGS and _LIBS etc. as to allow us to only
      run autoconf, not automake.
    - Drop patch 401-CVE-2008-2430, merged upstream.
    - Update and rename patch 050_bootstrap to 900_autoconf.

 -- Loic Minier <lool@dooz.org>  Fri, 22 Aug 2008 19:13:30 +0200
vlc (0.8.6.h-5) unstable; urgency=high

  * Acknowledge NMU by Nico Golde. Thanks.
  * Fix buffer overflow in CUE demuxer (Closes: #504639)

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 05 Nov 2008 22:02:06 +0100

vlc (0.8.6.h-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix integer overflows that could possibly lead to arbitrary
    code execution (CVE-2008-4686.diff; Closes: #503118).

 -- Nico Golde <nion@debian.org>  Mon, 03 Nov 2008 14:41:58 +0100

vlc (0.8.6.h-4) unstable; urgency=high

  * Security: Fix integer overflow in mms module
    (Closes: #496265)(407-mms-overflow.diff taken from upstream)

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 25 Aug 2008 01:07:27 +0100

vlc (0.8.6.h-3) unstable; urgency=low

  * Minor cleanups.
  * Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH in rules.
  * Use objdump -x instead of ldd to check for links on libX11 as ldd might
    resolve libvlc to the system's version if the system has libvlc installed;
    closes: #495730.

 -- Loic Minier <lool@dooz.org>  Fri, 22 Aug 2008 19:46:35 +0200

vlc (0.8.6.h-2) unstable; urgency=high

  * Fix integer overflow in TTA (CVE-2008-3732) (405-CVE-2008-3732.diff)
  * Fix crashes in Live555 (406-live555-crash.diff)
  * Switch to libdc1394-22-dev (Closes: #484695)

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 21 Aug 2008 20:19:39 +0100

vlc (0.8.6.h-1) unstable; urgency=high

  [ Christophe Mutricy ]
  * Acknowledge NMU by Nico Golde. Thanks.
  * Acknowledge NMU by Mike Hommey. Thanks.
  * New security upstream release
    - Fix buffer overflow (CVE-2008-1881)
    - Fix out of bound array access (CVE-2008-1769)
    - Fix various integer overflow in MP4 demuxer, Cinepak, RTSP
      (CVE-2008-1489, CVE-2008-1768)
    - Remove 105_min_mkv.patch, 400-CVE-2008-1489.diff and
      401-CVE-2008-0073.diff, 402-CVE-2008-1881, 403-CVE-2008-1768.diff
      and 404-CVE-2008-1881 integrated upstream
  * Remove old transitional packages: vlc-plugin-alsa and wxvlc
    (Closes: #477543, #477545)
  * Add some magic for reportbug to ask people to remove their plugin cache
    and get the info for vlc-nox and libvlc0 also.

  [ Reinhard Tartler ]
  * added a watch file
  * new upstream release, refreshing patches

  [ Christophe Mutricy ]
  * Fix buffer overflow in Wav demux.(CVE-2008-2430)(Closes: #489004)
    (Patch taken from upstream: 401-CVE-2008-2430.diff)

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 05 Jul 2008 23:45:15 +0100

vlc (0.8.6.e-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build depend on iceape-dev >= 1.1.9-4 instead of
    libxul-dev (Closes: #480812).
  * debian/patches/010_iceape.diff: configure.ac changes to allow to build
    against iceape.
  * debian/patches/050_bootstrap.diff: Corresponding configure changes.
  * debian/patches/series: Added 010_iceape.diff.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 May 2008 21:11:07 +0200

vlc (0.8.6.e-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update addresses the following security issues:
    - CVE-2008-1769: out-of-bounds array access and memory corruption
      via a crafted cinepak file (Closes: #478140).
    - CVE-2008-1768: multiple integer overflow triggering buffer overflows
      in the mp4 and real demuxer and the cinepak codec (Closes: #478140).
    - CVE-2008-1881: stack-based buffer overflow in subtitle parsing leading
      to arbitrary code execution via crafted subtitle file (Closes: #477805).

 -- Nico Golde <nion@debian.org>  Sun, 27 Apr 2008 16:17:49 +0200

vlc (0.8.6.e-2) unstable; urgency=high

  [ Christophe Mutricy ]
  * Acknowledge NMU by Nico Golde. Thanks
  * New patch taken from upstream to fix an arbitrary code execution.
    CVE-2008-0073 (Closes: #473057)
  * New patch to fix FTBS in MKV module

  [ Loic Minier ]
  * Mention CVE id in 0.8.6.e-1.1.

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 29 Mar 2008 15:04:28 +0000

vlc (0.8.6.e-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix Integer overflow in MP4_ReadBox_rdrf function
    that triggers a heap-based buffer overflow via a
    large atom length value (Closes: #472635); CVE-2008-1489.

 -- Nico Golde <nion@debian.org>  Wed, 26 Mar 2008 13:21:44 +0100

vlc (0.8.6.e-1) unstable; urgency=high

  [ Christophe Mutricy ]
  * New security upstream release
    - CORE-2008-0130, VideoLAN-SA-0802, CVE-2008-0986: Arbitrary memory
      overwrite in the MP4 demuxer (Closes: #467652)
    - Others security fixes already included in the Debian package
    - Xshm detection fix (Closes: #404361)
    - Alsa 5.1 fixes
    - DTS to S/PDIF fixes
  * patches/
    - delete the uneeded sec-* patches
    - delete 100_no_wx_update.diff as the update "feature" has been removed
      upstream

  [ Loic Minier ]
  * Urgency high for security bugfix.

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 25 Feb 2008 23:35:24 +0000

vlc (0.8.6.c-6) unstable; urgency=high

  [ Nico Golde ]
  * This update addresses the following security issues (Closes: #461544).
    - CVE-2008-0295: Heap-based buffer overflow in real_sdpplin.c
      which could lead to user-assisted arbitrary code execution
      via crafted SDP data.
    - CVE-2008-0296: Heap-based buffer overflow in libaccess_realrtsp plugin
      which might lead to arbitrary code execution via a crafted RTSP server.

  [ Loic Minier ]
  * Merge above changes by Nico Golde.

 -- Loic Minier <lool@dooz.org>  Mon, 21 Jan 2008 16:16:51 +0100

vlc (0.8.6.c-5) unstable; urgency=low

  [ Christophe Mutricy ]
  * New vlc-plugin-jack pkg with jack audio_output module
      (closes: #402252, #444992)
  * Make all the symlink for /usr/share/${pkg} point to /usr/share/doc/vlc-nox
    as the plugins depends on vlc-nox and not vlc
  * debian/control: dpkg-shlibdeps gives the correct depends for
    vlc-plugin-glide. So drop the hardcoded depends on libglide2
  * debian/rules: dpkg-shlibdeps now behaves better with libraries without
    versionned symbol file.

  [ Sam Hocevar ]
  * debian/control:
    + Dropped the libcdio-dev versioned build-dep to ease backports.

  [ Loic Minier ]
  * Ack NMU by Nico Golde; thanks!
  * Wrap more deps.
  * Also build vlc-plugin-svgalib package on amd64 as well; build-dep on
    libsvga1-dev on amd64 too; --enable-svgalib on amd64.
  * Drop debian/*.dirs.
  * Only pass --host to configure if DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE
    differ.
  * Pass --quiltrc /dev/null to quilt and use $(QUILT) to invoke quilt.
  * Bump up Debhelper compatibility level to 6; drop dpkg-dev build-dep.
  * Add /svn to Vcs-Svn.
  * Don't run ./vlc as a test if nocheck is given.
  * Cleanup rules.
  * Drop vlc-plugin-alsa and wxvlc /u/s/d symlinks as these are dummy packages
    anyway.
  * Update menu file.

 -- Loic Minier <lool@dooz.org>  Fri, 11 Jan 2008 17:32:36 +0100

vlc (0.8.6.c-4.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * This update addresses the following security issues
    (CVE ids pending; Closes: #458318):
    - Fix format string issue in internal webserver that could lead to
      to arbitrary code execution (sec-httpd_formatstring.diff).
    - Disable m3u EXTVLCOPT parsing if no command line option is specified
      (--m3u-extvlcopt) to prevent browser plugins to control stream output
      and thus overwriting arbitrary files of the user running vlc
      (sec-vlcopt_support.diff).
    - Fix stack-based buffer overflow in subtitle parsing
      (sec-subtitle_buffer_overflow.diff).
    - Fix NULL pointer dereference in the rtsp/rtp module by checking return
      of the httpd_MsgGet function (sec-rtsp_remote_dos.diff).

 -- Nico Golde <nion@debian.org>  Fri, 11 Jan 2008 15:05:10 +0100

vlc (0.8.6.c-4) unstable; urgency=high

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * Only suggest videolan-doc; closes: #451914.

  [ Christophe Mutricy ]
  * Use Vcs- instead of Xs-Vcs-
  * Add Homepage field to control
  * Use --ignore-missing-info with dpkg-shlibdeps as glide doesn't provide a
    versionned .shlibs

  [ Sam Hocevar ]
  * debian/control:
    + Build-depend on a newer libcdio-dev to transition to the newer binary
      packages (Closes: #456390, #456403, #453823).
    + Depend on ttf-dejavu-core instead of ttf-dejavu (Closes: #445580).
    + Set policy to 3.7.3.
  * debian/rules:
    + Don’t ignore make distclean errors.
    + Call dh_desktop to register desktop files.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 15 Dec 2007 12:33:48 +0000

vlc (0.8.6.c-3) unstable; urgency=high

  * debian/control:
    + Removed now useless linux-libc-dev build-dependency (Closes: #430710),
      thanks to Steve Langasek.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 05 Jul 2007 10:13:42 +0200

vlc (0.8.6.c-2) unstable; urgency=high

  [ Loic Minier ]
  * Merge the never uploaded 0.8.6.a.debian-7 changelog entry into 0.8.6.c-1.

  [ Christophe Mutricy ]
  * Build-depends on linux-libc-dev  rather than linux-kernel-headers
    (Closes: #430710 )

  [ Sam Hocevar ]
  * debian/control:
    + Build-depend on newer libavcodec libraries.
    + Build-depend on newer libflac-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 04 Jul 2007 22:31:32 +0200

vlc (0.8.6.c-1) unstable; urgency=high

  [ Loic Minier ]
  * New patch, 107_gcc-4.3, fixes missing include causing a build failure with
    GCC 4.3; thanks Martin Michlmayr; closes: #417750.

  [ Christophe Mutricy ]
  * No longer build the x264 module as libx264 has been removed from Sid
    (Closes: #424649, #427283).
  * New patch, 108_flac-1.1.3 taken from upstream to fix building with
    libflac8 (Closes: #426673).
  * Rebuild against new libavcodec and libavformat (Closes: #427573).

  [ Fathi Boudra, Christophe Mutricy ]
  * New upstream release (Closes: #424915):
    + multiple format string vulnerabilities (VideoLAN-SA-0207).
      (Closes: #429726)
    + media player unspecified Denial Of Service vulnerability (CVE-2007-0256).
      (Closes: #407290)
    + missing includes to fix FTBFS with GCC 4.3.0. (Closes: #417750)
    + fullscreen opens a normal window instead of going fullscreen on amd64.
      (Closes: #405035)
    + fix building with libflac8. (Closes: #426673)
    + The following patches are no longer necessary:
      105_audio_format_crash.diff
      106_xshm_check.diff
      107_gcc-4.3.diff
      108_flac-1.1.3.diff

  [ Sam Hocevar ]
  * Install libtelx_plugin.so in vlc-nox package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 26 Jun 2007 01:41:02 +0200

vlc (0.8.6.a.debian-6) unstable; urgency=low

  * Rebuilt package against packages that are in unstable (Closes: #415446).

  * debian/control:
    + Use ${binary:Version} instead of ${Source-Version}.
    + Build-depend on dpkg-dev (>= 1.13.19).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Mar 2007 14:50:43 +0100

vlc (0.8.6.a.debian-5) unstable; urgency=low

  * Refreshed and renamed all patches.

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Fixed Vcs fields.
  * debian/compat:
    + Set compat to 5.
  * debian/rules:
    + Big cleanup.
    + Distribute libvlc.a again.
    + Switch to AM_MAINTAINER_MODE instead of touching all files.

  * debian/patches/106_xshm_check.diff:
    + New patch. Don't crash if XShmAttach fails, instead fall back to
      normal X images (Closes: #404361).

  * debian/patches/300_manpage_syntax.diff:
    + New patch. Fix dvd:// syntax in manpage (Closes: #412372) and add
      mention of the videolan-doc package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 17 Mar 2007 19:46:52 +0100

vlc (0.8.6.a.debian-4) unstable; urgency=low

  * *sigh*, libfaad-dev build-depend was in fact missing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Mar 2007 10:39:04 +0100

vlc (0.8.6.a.debian-3) unstable; urgency=low

  * debian/control:
    + Add XS-Vcs-Browser field.
    + Build-depend on libx264-dev.
    + Build-depend on libfaad-dev.
  * debian/rules:
    + Now that they're in unstable, no longer build our custom x264 and faad2.

  * debian/patches/030_audio_format_crash.diff:
    + Patch from upstream to fix multiple crashes with audio conversions.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 Mar 2007 16:41:06 +0100

vlc (0.8.6.a.debian-2) unstable; urgency=high

  * debian/patches/021_x264_powerpc.diff:
    + Patch from upstream to fix FTBFS on PowerPC (Closes: #411438).
  * debian/rules:
    + Fix a kFreeBSD FTBFS, courtesy of Petr Salinger (Closes: #399713).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Feb 2007 12:12:02 +0100

vlc (0.8.6.a.debian-1) unstable; urgency=high

  * New upstream bugfix release.
  * Most of our patches are now in sync with upstream. Removed:
    + 000_bootstrap.diff
    + 000_ltmain.diff
    + patch-badly-initialised-data-0.8.6debian-0.8.6a.diff
    + patch-configure.ac-syntax-0.8.6debian-0.8.6a.diff
    + patch-documentation-0.8.6debian-0.8.6a.diff
    + patch-i422-yuy2-crash-0.8.6debian-0.8.6a.diff
    + patch-integer-signedness-0.8.6debian-0.8.6a.diff
    + patch-logo-filter-crash-0.8.6debian-0.8.6a.diff
    + patch-memory-leaks-0.8.6debian-0.8.6a.diff
    + patch-missing-locks-0.8.6debian-0.8.6a.diff
    + patch-mjpeg-separator-0.8.6debian-0.8.6a.diff
    + patch-mozilla-plugin-0.8.6debian-0.8.6a.diff
    + patch-network-protocols-fixes-0.8.6debian-0.8.6a.diff
    + patch-playlist-crash-0.8.6debian-0.8.6a.diff
    + patch-po-0.8.6debian-0.8.6a.diff
    + patch-private-libcaca-0.8.6debian-0.8.6a.diff
    + patch-remove-debug-messages-0.8.6debian-0.8.6a.diff
    + patch-sanitise-javascript-0.8.6debian-0.8.6a.diff
    + patch-sanity-checks-0.8.6debian-0.8.6a.diff
    + patch-sdl-image-priority-0.8.6debian-0.8.6a.diff
    + patch-utf8-0.8.6debian-0.8.6a.diff
    + patch-version-information-0.8.6debian-0.8.6a.diff
    + MOAB-02-01-2007-CVE-2007-0017.patch

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 11 Jan 2007 18:17:41 +0100

vlc (0.8.6-svn20061012.debian-2) unstable; urgency=high

  * Maintainer upload.
  * Acknowledge previous NMUs by Andreas Barth. Thanks.
    (Closes: #405425, #400720, #403022).

  * debian/control:
    + Put back mozilla-plugin-vlc package.

  * debian/rules:
    + Build with mediacontrol bindings, needed for the Mozilla plugin.

  * 020_kfreebsd.diff:
    + New patch courtesy of Petr Salinger. Fix a GNU/kFreeBSD FTBFS
      (Closes: #399713).

  * patch-configure.ac-syntax-0.8.6debian-0.8.6a.diff:
    + Fix "CFAGS" to "CFLAGS" in configure.ac.

  * patch-documentation-0.8.6debian-0.8.6a.diff:
    + Documentation, translation and error messages updates.

  * patch-network-protocols-fixes-0.8.6debian-0.8.6a.diff:
    + Various fixes for the IPv4, IPv6, SAP and HTTP protocols.

  * patch-po-0.8.6debian-0.8.6a.diff:
    + Translation updates.

  * patch-version-information-0.8.6debian-0.8.6a.diff:
    + Set version information to 0.8.6a, even if it's not really our real
      version, to make it clear that the security issues were fixed.

  * patch-mozilla-plugin-0.8.6debian-0.8.6a.diff:
    + Proper fix for the Mozilla plugin (Closes: #400720, #403022).

  * 000_bootstrap.diff:
    + Rebootstrap tarball because of changes to configure.ac.

  * patch-badly-initialised-data-0.8.6debian-0.8.6a.diff:
    + Fix various badly initialised variables in the code.

  * patch-i422-yuy2-crash-0.8.6debian-0.8.6a.diff:
    + Fix a crash in the I422-YUY2 chroma conversion.

  * patch-integer-signedness-0.8.6debian-0.8.6a.diff:
    + Fix integer signedness issues in the variable code.

  * patch-logo-filter-crash-0.8.6debian-0.8.6a.diff:
    + Fix a crash in the logo filter.

  * patch-memory-leaks-0.8.6debian-0.8.6a.diff:
    + Fix various memory leaks.

  * patch-missing-locks-0.8.6debian-0.8.6a.diff:
    + Add missing mutex locks.

  * patch-mjpeg-separator-0.8.6debian-0.8.6a.diff:
    + Fix MJPEG format support.

  * patch-playlist-crash-0.8.6debian-0.8.6a.diff:
    + Fix a crash in the playlist code.

  * patch-private-libcaca-0.8.6debian-0.8.6a.diff:
    + Do not use private libcaca symbols.

  * patch-remove-debug-messages-0.8.6debian-0.8.6a.diff:
    + Disable debug messages and spurious messages to stderr.

  * patch-sanitise-javascript-0.8.6debian-0.8.6a.diff:
    + Fix the javascript string sanitising.

  * patch-sanity-checks-0.8.6debian-0.8.6a.diff:
    + Various sanity checks for untrusted data.

  * patch-sdl-image-priority-0.8.6debian-0.8.6a.diff:
    + Downgraded the sdl-image plugin priority.

  * patch-utf8-0.8.6debian-0.8.6a.diff:
    + Fix Unicode support in GUIs and file access.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  8 Jan 2007 09:43:07 +0100

vlc (0.8.6-svn20061012.debian-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix format string vulnerability with patch
    MOAB-02-01-2007-CVE-2007-0017.patch, CVE-2007-0017. Closes: #405425

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  6 Jan 2007 23:07:51 +0000

vlc (0.8.6-svn20061012.debian-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * remove broken package mozilla-plugin-vlc. Closes: #400720, #403022

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 23 Dec 2006 19:17:40 +0000

vlc (0.8.6-svn20061101.debian-1) UNRELEASED; urgency=high

  * New upstream SVN snapshot.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Nov 2006 10:50:17 +0100

vlc (0.8.6-svn20061012.debian-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * Upstream fixed the BadWindow request issue (Closes: #392207).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 12 Oct 2006 20:43:45 +0200

vlc (0.8.6-svn20061008.debian-1) unstable; urgency=high

  * New upstream SVN snapshot. Fixes a heap smashing bug.
  * debian/control:
    + Build-depend on libgtk2.0-dev to work around #388521 (Closes: #391739).
    + Replace XS-X-Vcs-Svn with -XS-Vcs-Svn.

  * debian/patches/020_notify.diff:
    + Fix notify support. Thanks to Christophe Mutricy.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  8 Oct 2006 18:54:30 +0200

vlc (0.8.6-svn20061001.debian-4) unstable; urgency=low

  * Build-depend on libnotify and explicitly activate the libnotify plugin
    (Closes: #391308).
  * Re-enable DV support. libraw1394 is not waiting for us anyway.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  6 Oct 2006 10:24:26 +0200

vlc (0.8.6-svn20061001.debian-2) unstable; urgency=high

  * Temporarily disable DV support because the libraw1394 transition does
    not look like it will happen soon.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  4 Oct 2006 14:00:16 +0200

vlc (0.8.6-svn20061001.debian-1) unstable; urgency=low

  * New upstream SVN snapshot.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Oct 2006 17:57:57 +0200

vlc (0.8.6-svn20060925.debian-1) unstable; urgency=low

  [ Sam Hocevar ]
  * New upstrean SVN snapshot.
  * This release fixes issues with the French Freebox device (Closes: #388332).

  * debian/control:
    + Added Clément Stenac to the uploaders.

  * 020_certificates_paths.diff:
    + New patch from upstream that looks for SSL certificates in
      /etc/ssl/certs/ca-certificates.crt (Closes: #365239).

  [ Clément Stenac ]
  * Add VCS information to control

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 25 Sep 2006 14:00:46 +0200

vlc (0.8.6-svn20060918.debian-1) unstable; urgency=low

  * New upstream SVN snapshot, with a slightly saner version number.
  * debian/rules:
    + Call dh_install with -si so that it does not try to install files that
      are not for us (Closes: #387873).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 18 Sep 2006 12:38:26 +0200

vlc (0.8.6-svn20060911.0.8.5-1-svn.debian-5) unstable; urgency=low

  * debian/control:
    + Added proper conflicts/replaces to the libvlc0 package because it
      overwrites files from old vlc packages (Closes: #387844).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 17 Sep 2006 01:38:24 +0200

vlc (0.8.6-svn20060911.0.8.5-1-svn.debian-4) unstable; urgency=low

  * debian/control:
    + Add libsdl-image1.2-dev to the build-dependencies.
    + Shorten short descriptions and add “without X support” to the vlc-nox
      short description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 16 Sep 2006 20:08:53 +0200

vlc (0.8.6-svn20060911.0.8.5-1-svn.debian-3) unstable; urgency=low

  * debian/control:
    + Distribute libvlc0 in a separate package.
    + Created vlc-nox package that contains VLC and all its non-X related
      plugins.
  * debian/rules:
    + Use dh_install.
    + Bail out with an error if a plugin from vlc-nox got linked to libX11.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Sep 2006 18:39:59 +0200

vlc (0.8.6-svn20060911.0.8.5-1-svn.debian-2) unstable; urgency=low

  * debian/patches/000_dup_builtins.diff:
    + Fix a powerpc FTBFS due to duplicate libraries in link lines.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 11 Sep 2006 18:32:04 +0200

vlc (0.8.6-svn20060911.0.8.5-1-svn.debian-1) unstable; urgency=low

  * New upstream SVN snapshot, fixes an amd64 FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 11 Sep 2006 13:56:19 +0200

vlc (0.8.6-svn20060910.0.8.5-1-svn.debian-1) unstable; urgency=low

  * New upstream SVN snapshot, from the forthcoming 0.8.5-1 branch.
  * This branch's playlist window does not crash like the 0.8.6 does
    (Closes: #375213, #385036, #384869).

  * Upstream fixed implicit pointer functions (Closes: #385192).
  * Upstream's x264 build system now uses config.guess instead of uname to
    detect system and CPU types (Closes: #385535).
  * Upstream removed debug messages from the ts plugin (Closes: #385008,
    Closes: #385323).
  * Aspect ration in mkv files was fixed (Closes: #385876).

  * debian/control:
    + Build-depend on libcaca-dev (>= 0.99.beta4-1) so that we no longer pull
      useless build dependencies (Closes: #385536).
    + Have VLC depend on ttf-dejavu again. It's used for subtitles and the
      default skin.
  * debian/copyright:
    + Full copyright holders and license audit (Closes: #324978).
  * debian/rules:
    + No longer install old copyright files (Closes: #385200).
    + Re-activated the speex module (Closes: #386204).
    + Don't install TTF fonts, use the ones from ttf-dejavu instead.

  * debian/patches/020_freetype_font.diff:
    + Renamed this patch into 020_dejavu_font.diff and made it use dejavu
      fonts.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 10 Sep 2006 19:02:17 +0200

vlc (0.8.6-svn20060823.debian-3) unstable; urgency=low

  * debian/control:
    + Added missing build-dep on libdc1394-13-dev (Closes: #384568, #384582).
    + Build-depend on a newer libcaca for better colour ASCII rendering.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 25 Aug 2006 11:19:00 +0200

vlc (0.8.6-svn20060823.debian-2) unstable; urgency=low

  * debian/control:
    + Added missing build-dep on libraw1394-dev.
  * debian/rules:
    + Replaced --enable-livedotcom with --enable-live555.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 25 Aug 2006 09:37:47 +0200

vlc (0.8.6-svn20060823.debian-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * debian/rules:
    + Distribute a shared version of libvlc.
    + Activated the twolame encoder.
  * debian/control:
    + Build-depend on a newer libavcodec so as to get WMV3 decoding support.
    + Cleaned up package dependencies a bit.

  * debian/patches/000_ltmain.diff:
    + Work around libtool not wanting to install our plugins.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 24 Aug 2006 18:06:12 +0200

vlc (0.8.5.debian-2) unstable; urgency=low

  * debian/rules:
    + Fix generation of Arch: all transition packages.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  7 Jun 2006 14:46:22 +0200

vlc (0.8.5.debian-1) unstable; urgency=low

  * New upstream release (Closes: #364934).
  * This release no longer disables audio input if the v4l video device does
    not advertise an audio device (Closes: #316377).
  * This release fixes PPC asm compilation issues in x264 (Closes: #366965).

  * debian/control:
    + Merged wxvlc and vlc-plugin-alsa into vlc to get rid of circular
      dependencies (Closes: #365816).
    + Set policy to 3.7.2.
    + libxosd-dev is installable again; build-depend on it (Closes: #364937).

  * debian/patches/030_x264_altivec.diff:
  * debian/patches/030_x264_armvl.diff:
    + Patches applied upstream. Removed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 23 May 2006 16:15:56 +0200

vlc (0.8.5-test3.debian-3) unstable; urgency=low

  * debian/control:
    + Build-depend on libdvdread-dev (>= 0.9.5) because libdvdread3-dev just
      disappeared (Closes: #364681).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 25 Apr 2006 09:05:45 +0200

vlc (0.8.5-test3.debian-2) unstable; urgency=low

  * debian/control:
    + Added missing libavc1394-dev build-dependency.

  * debian/patches/030_x264_altivec.diff:
    + Fixed illegal implicit casts of vector types.

  * debian/patches/030_x264_armvl.diff:
    + Added support for the armv4l CPU.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 24 Apr 2006 20:45:16 +0200

vlc (0.8.5-test3.debian-1) unstable; urgency=low

  * New upstream release.

  * Upstream fixed many bugs:
    + Fixed the CPU features used by the deinterlace plugin and no
      longer crashes on non-SSE machines (Closes: #363153).
    + Properly build on amd64 wrt PIC (Closes: #339372, #330146, #330154).
    + Fixed the double pane in settings dialog issue (Closes: #343031).
    + Help flags now adapt to the locale and help formatting was fixed
      (Closes: #347278).
    + HTTP streaming no longer fails (Closes: #352599).
    + Memory leak fixed (Closes: #359655).
    + x264 build system supports ppc64 and mips64 (Closes: #361452, #358233).
    + OGG muxing was fixed (Closes: #364321).

  * debian/control:
    + Removed legacy dummy packages.
    + Switched from dpatch to quilt.
    + Removed now useless build-dependency on gcc-snapshot (Closes: #361729).
    + Ditto for xlibs-static-pic (Closes: #364265).
    + Build-depend on newer ffmpeg libraries so that we dynamically link
      against them.
    + Build-depend on newer Matroska libraries to fix .mkv support
      (Closes: #348404).
    + Build-depend on libxul-dev and xulrunner instead of mozilla-dev.
    + Build-depend on newer live555 libraries.
    + Depend on vlc-plugin-alsa.
    + Removed the ttf-freefont dependency (Closes: #353459, #362071).

  * debian/vlc.mime:
    + Fixed broken templates (Closes: #354101).

  * debian/patches/010_no-wx-updates.diff:
    + Created from old dpatch. Disables broken "check for updates" button.

  * debian/patches/010_osdmenu-paths.diff
    + Created from old dpatch. Fixes file paths for OSD plugin.

  * debian/patches/020_xulrunner.diff:
    + Build using XULrunner (Closes: #364381).

  * debian/patches/020_freetype_font:
    + Do not hardcode the default font, let VLC find one itself.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 24 Apr 2006 18:10:10 +0200

vlc (0.8.4.debian-2) unstable; urgency=low

  * debian/rules:
    + Enable zeroconf/bonjour support (Closes: #348085).
    + Enable musepack decoding support.
    + Enable VCD navigation support.
  * debian/control:
    + Build-depend on more recent versions of libavcodec to fix CVE-2005-4048.
    + Build-depend on libhal-dev (>= 0.5.5.1-3) for the dbus transition.
    + Build-depend on libavahi-client-dev.
    + Build-depend on libmpcdec-dev.
    + Build-depend on libsysfs-dev so that the MP4 module can get an iPod’s
      version number.
    + Build-depend on libvcdinfo-dev.
  * debian/vlc.mime:
    + Put flags after the command, as per mailcap(5) (Closes: #340434).

  * src/libvlc.c configure.ac modules/services_discovery/hal.c:
    + Backported HAL 0.5 patch from upstream, thanks to Clément Stenac and
      Loïc Minier. As a result, we now build and install again on unstable
      (Closes: #332927, #347598, #347847).
  * extras/x264/configure:
    + Support the armv5tel platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 22 Jan 2006 12:08:42 +0100

vlc (0.8.4.debian-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 19:55:09 +0100

vlc (0.8.4-test2-2) unstable; urgency=low

  * extras/x264/configure:
    + Teach the configure script about the Alpha platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 18:49:31 +0100

vlc (0.8.4-test2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on a newer version of gnutls (Closes: #335774).
    + Replaced occurrences of "wxwindows" with "wxwidgets" (Closes: #330141).
  * debian/rules:
    + Use dh_buildinfo because of all the static libraries we use.
  * Upstream fixed the wx code so that it builds with newer versions of the
    library (Closes: #332282, #332773).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 10:41:35 +0100

vlc (0.8.4-svn20050920-3) unstable; urgency=low

  * configure.ac:
    + Fixed a bug in the gnomevfs plugin configuration.
  * debian/rules:
    + Explicitly disable the GnomeVFS plugin (Closes: #329317).
  * debian/control:
    + Buuild-depend on yasm on amd64.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:36:24 +0200

vlc (0.8.4-svn20050920-2) unstable; urgency=low

  * configure:
    + Fixed the powerpc build with gcc-4.x.
  * extras/x264/configure:
    + Added missing Debian architectures to the configure script.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:46:35 +0200

vlc (0.8.4-svn20050920-1) unstable; urgency=low

  * New SVN snapshot.
  * configure.ac:
    + Upstream fixed the AltiVec build on PPC.
  * debian/control:
    + Build-depend on a newer version of libavcodec. mp2v and mp1v encoders
      work again (Closes: #324840).
    + Build-depend on gcc-snapshot on i386 and amd64, because currently only
      that version of gcc properly builds some of the MMX modules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 13:43:41 +0200

vlc (0.8.4-svn20050823-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libflac-dev (>= 1.1.2-3) because of the soname
      change (Closes: #325948).
  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  1 Sep 2005 12:36:10 +0200

vlc (0.8.4-svn20050823-1) unstable; urgency=low

  * New SVN snapshot.
  * debian/control:
    + Build-depend on libsmbclient-dev.
    + Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
      interface now works with non-UTF8 locales (Closes: #308770, #322665).
    + Build-depend on a newer version of libavcodec.
  * debian/rules:
    + Activated SMB client support.
    + Install desktop files in usr/share/applications instead of
      usr/share/gnome/apps/Multimedia.
  * debian/patches/00list:
    + 20_no-wx-updates.dpatch: disabled the update check.
    + 20_interfaces.dpatch: disabled deprecated patch.
  * configure.ac:
    + Fixes powerpc build.
  * include/network.h src/misc/net.c:
    + Fixes HTTP input (Closes: #322757).
    + Fixes URL encoding in the RTSP module (Closes: #323813).
  * modules/gui/skins2 modules/gui/wxwidgets:
    + Fixes a compilation issue on 64-bit architectures (Closes: #324031).
  * modules/visualization/xosd.c:
    + Fixes libxosd initialisation (Closes: #324039).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 22 Aug 2005 14:43:48 +0200

vlc (0.8.4-svn20050810-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libarts1-dev (>= 1.4.2-1).
    + Build-depend on a newer version of libavcodec.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 16 Aug 2005 17:36:21 +0200

vlc (0.8.4-svn20050810-1) unstable; urgency=low

  * New SVN snapshot.
  * Rebuilt against libaa1 and new wxWin and SDL packages to complete the
    aalib transition (Closes: #320874) and make the packages installable again
    (Closes: #319292, #319598, #321461, #322166, #317380).
  * debian/rules:
    + Use DEB_BUILD_ARCH_CPU instead of DEB_BUILD_GNU_CPU.
  * debian/vlc.desktop:
    + Added desktop file, thanks to Mantas Kriauciunas (Closes: #290612).
  * debian/control:
    + Removed unused dummy packages (Closes: #321988, #322003, #322013).
    + Build-depend on libmatroska-dev (>= 0.7.7).
    + Build-depend on libwxgtk2.4-dev (>= 2.4.4).
    + Build-depend on libdvbpsi4-dev instead of libdvbpsi3-dev.
    * Build-depend on libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3).
    + Build-depend on a newer version of libmatroska-dev and mozilla-dev
      because of the C++ transition.
    + Build-depend on libsvga1-dev instead of svgalib1-dev.
  * This snapshot no longer uses tune=opteron on amd64 (Closes: #316161).
  * The SVN version adds support for Freebox users (Closes: #317035).
  * Various gcc-4.x FTBFS were fixed upstream (Closes: #317055).
  * mozilla/support/npunix.c: fixed undeclared NPP_GetJavaClass
    (Closes: #317067).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 Aug 2005 16:18:37 +0200

vlc (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * This version fixes the random playlist parsing (Closes: #308375), encodes
    non-ASCII characters in RTSP requests (Closes: #279735) and fixes an issue
    with large files (Closes: #306110).
  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on libpng12-dev, xlibmesa-gl-dev.
    + Build-depend on a more recent ffmpeg library set, to fix nasty visual
      artifacts with post-processing (Closes: #300220).
    + mozilla-plugin-vlc recommends mozilla-firefox in addition to
      mozilla-browser (Closes: #308723).
    + Now that sarge is out, removed legacy packages that disappeared in woody.
  * debian/rules:
    + Activated PNG output support.
    + Activated GLX output support.
  * The NEWS file documents the changed behaviour for SAP (Closes: #303262).
  * Minor typo fixed in the manpage (Closes: #300339).
  * po/de.po: merged corrections from Jens Seidel (Closes: #313890).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 26 Jun 2005 16:28:19 +0200

vlc (0.8.1.svn20050314-1) unstable; urgency=low

  * More recent SVN snapshot.
  * This snapshot fixes issues in modules/gui/wxwindows/streamout.cpp that
    caused FTBFS on 64-bit architectures (Closes: #289923).
  * debian/control:
    + Build-depend on new libmatroska and libavcodec versions.
    + Unfortunate return to wxwidgets 2.4 until 2.5 enters testing.
    + Upgraded libflac-dev build dependency to (>= 1.1.1-5) to resolve
      dependency issues (Closes: #298067).
  * debian/vlc.mime: merged Guido Guenther’s contribution (Closes: #297261).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 14 Mar 2005 10:53:59 +0100

vlc (0.8.1-3) unstable; urgency=low

  * debian/control:
    + Build-depend on fixed ffmpeg packages (Closes: #289444).
    + Build-depend on a newer libflac-dev so that resulting packages use
      libflac6 (Closes: #289490).
  * modules/gui/wxwindows/open.cpp:
    + Compilation fix for 64 bits systems.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 10 Jan 2005 11:10:02 +0100

vlc (0.8.1-2) unstable; urgency=low

  * debian/control:
    + Use ffmpeg from Debian instead of the contrib one.
    + Use wxgtk2.5 instead of 2.4.
    + Activated the ncurses UI (Closes: #286962).
  * debian/gnome-vlc.desktop debian/gvlc.desktop:
    + Fixed the icon location.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  6 Jan 2005 18:00:00 +0100

vlc (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * debian/gnome-vlc.desktop:
    + Fixed program path (Closes: #280290).
  * debian/control:
    + Require an up-to-date liblivemedia.
    + Build-depend on libgnutls11-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 14 Nov 2004 22:21:23 +0100

vlc (0.8.0.final-1) unstable; urgency=low

  * Final 0.8.0 upstream release.
  * src/misc/modules.c:
    + Fixed a startup issue with the svlc shortcut (Closes: #274376).
  * debian/control:
    + Suggest the Mozilla and ALSA plugins. Only mentioned the others in
      the package description because they are not of notable usefulness
      (Closes: #275160).
  * modules/access/http.c:
    + Fix HTTP proxy handling (Closes: #278381).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  3 Nov 2004 14:52:05 +0100

vlc (0.8.0-test1-1) unstable; urgency=high

  * New upstream tarball.
  * debian/rules:
    + Fixed previously broken DVD support.
    + Removed currently broken Speex support.
  * debian/control:
    + Build-depend on libdvdnav.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  4 Sep 2004 02:32:49 +0200

vlc (0.7.2.svn20040827-1) unstable; urgency=high

  * New SVN snapshot.
  * debian/rules:
    + Activated x264 support.
    + Re-enabled libmodplug support.
    + Build PIC plugins even on x86.
    + Disabled SLP because its code is broken.
    + Disabled the GNOME, Qt, GTK+ and KDE interfaces in favour of the
      WxWidgets one.
    + Activated HAL support.
  * debian/control:
    + Force the vlc-plugin-arts dependencies.
    + Build-depend on jam and nasm because of x264.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 27 Aug 2004 21:31:13 +0200

vlc (0.7.2.final-11) unstable; urgency=medium

  * configure.ac:
    + Fixed an LDFLAGS/CFLAGS confusion.
    + Don't use -finline-limit since it now tries to inline functions that
      have not been explicitely inlined (Closes: #265673).
  * debian/patches/20_configure.dpatch:
    + Don't manage this patch with dpatch since it causes ownership issues.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 15 Aug 2004 01:35:35 +0200

vlc (0.7.2.final-10) unstable; urgency=medium

  * The "I hope I got it right this time" upload.
  * configure.ac:
    + Use -maltivec -mabi=altivec for the memcpyaltivec and deinterlace
      plugins on PowerPC.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 18:01:47 +0200

vlc (0.7.2.final-9) unstable; urgency=low

  * debian/control:
    + Added a missing dpatch build dependency (Closes: #263363).
    + Removed the modplug plugin until libmodplug-dev enters Debian.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 11:01:15 +0200

vlc (0.7.2.final-8) unstable; urgency=low

  * debian/control:
    + Added a missing dpatch build dependency.
  * configure.ac:
    + Fixed the powerpc build by conditionally re-enabling -maltivec
      -mabi=altivec.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 Jul 2004 00:05:58 +0200

vlc (0.7.2.final-7) unstable; urgency=low

  * debian/rules:
    + Switch build system to dpatch.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 29 Jul 2004 17:03:51 +0200

vlc (0.7.2.final-6) unstable; urgency=low

  * configure.ac: don't use -maltivec -mabi=altivec, because we don't want
    to trigger AltiVec optimisations in our generic code (Closes: #256578,
    Closes: #260819).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 23 Jul 2004 17:21:21 +0200

vlc (0.7.2.final-5) unstable; urgency=low

  * debian/control:
    + Build-depend on libdvbpsi3-dev, so that we can get rid of the previous
      versions of this library.
    + Recommend the videolan-doc package.
    + Build-conflict on libavcodec-dev, just in case it enters Sid at an
      unappropriate moment.
  * debian/README.Debian:
    + Removed mention of the libmpeg2 tree, which we no longer provide.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Jul 2004 11:25:17 +0200

vlc (0.7.2.final-4) unstable; urgency=low

  * debian/rules:
    + Activated Theora support (Closes: #259061).
    + Re-enabled the KDE plugin (Closes: #258295).
  * debian/control:
    + Set policy to 3.6.1.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Jul 2004 00:21:20 +0200

vlc (0.7.2.final-3) unstable; urgency=low

  * extras/ffmpeg/configure: fixed HPPA architecture detection.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 25 Jun 2004 11:55:33 +0200

vlc (0.7.2.final-2) unstable; urgency=low

  * extras/ffmpeg/libavcodec/svq1.c: fixed vector/vect namespace issues on
    powerpc.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 22 Jun 2004 15:21:09 +0200

vlc (0.7.2.final-1) unstable; urgency=low

  * New upstream release.
  * Temporarily disabled the KDE GUI plugin.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 29 May 2004 00:06:48 -0300

vlc (0.7.2-test2-1) unstable; urgency=low

  * New upstream snapshot.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  6 May 2004 11:11:25 +0200

vlc (0.7.2-test1-4) unstable; urgency=low

  * extras/ffmpeg/libacvodec/Makefile:
    + Fixed a PARISC/HPPA mix-up.
  * src/interface/interface.c:
    + Removed the "switch interface" menu due to wxwin's utter bugosity.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 Apr 2004 13:15:59 +0200

vlc (0.7.2-test1-3) unstable; urgency=low

  * configure.ac:
    + Link DTS plugins with libdts_pic.a, not libdts.a.
  * debian/control:
    + Build-depend on libid3tag0-dev for ID3 tag support.
    + Made vlc depend on wxvlc for the moment.
  * extras/ffmpeg/libacvodec/Makefile:
    + Build motion_est.c with -O1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 30 Apr 2004 10:49:59 +0200

vlc (0.7.2-test1-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libxml2-dev.
  * extras/ffmpeg/libavcodec/ppc/dsputil_altivec.c:
    + Syntax fixes for powerpc.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Apr 2004 12:49:18 +0200

vlc (0.7.2-test1-1) unstable; urgency=low

  * New SVN snapshot.
  * The skinned interface is now the default one (Closes: #245210).
  * debian/control:
    + Removed the libdv2-dev build-dependency.
    + Set the liblivemedia-dev build-dependency to (>= 2004.04.23-1).
    + Set the libmatroska-dev build-dependency to (>= 0.7.0).
    + Build-depend on libfribidi-dev.
    + Build-depend on libcdio-dev.
    + Build-depend on libmodplug-dev.
  * debian/rules:
    + Activated fribidi support.
    + Activated CDDA support via libcdio.
    + Activated MOD support.
  * configure.ac:
    + Re-enabled i420_yuy2_altivec.
  * src/interface/interface.c:
    + Disable unavailable interfaces from the switch menu (Closes: #245209).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 16:30:25 +0200

vlc (0.7.1-7) unstable; urgency=high

  * debian/control:
    + Override kdelibs4's shlibs value to get VLC into testing.
    + No longer build-depend on dvb-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Apr 2004 18:00:40 +0200

vlc (0.7.1-6) unstable; urgency=low

  * debian/control:
    + Removed the build dependency on gcc-3.2 because gcc-3.3 no longer ICEs
      on ppc/mpegvideo_altivec.o (Closes: #236442).
    + Build depend on fixed libsdl1.2-dev (>= 1.2.7-5).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Apr 2004 10:27:35 +0200

vlc (0.7.1-5) unstable; urgency=low

  * debian/control:
    + Added a build-dependency on libaudiofile-dev to fix the m68k build.
  * debian/rules:
    + Added symlinks for mozilla-firefox (Closes: #239352).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 30 Mar 2004 23:10:20 +0200

vlc (0.7.1-4) unstable; urgency=medium

  * extras/ffmpeg/libavcodec/ppc/mpegvideo_ppc.c:
    + Replaced fprintf() with av_log() to fix the powerpc build.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 21 Mar 2004 13:59:07 +0100

vlc (0.7.1-3) unstable; urgency=medium

  * debian/rules:
    + Activated DTS decoding support.
  * debian/control:
    + Build-depend on libx11-dev, libxext-dev, libxt-dev instead of xlibs-dev.
    + Build-depend on libxv-dev, xlibs-static-pic instead of xlibs-pic.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 20 Mar 2004 18:13:43 +0100

vlc (0.7.1-2) unstable; urgency=medium

  * debian/control:
    + Build-depend on zlib1g-dev because ffmpeg uses it by default.
  * configure.ac:
    + Add -lz to the link flags for plugins that use ffmpeg.
    + Disabled i420_yuy2_altivec for now, because it only has a C version of
      the AltiVec routines.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  4 Mar 2004 17:34:58 +0100

vlc (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Added faad2 and ffmpeg authors to the copyright (Closes: #212766).
  * mozilla/vlcplugin.h:
    + Added the 'video/x-ms-asf' MIME type to the plugin (Closes: #232690).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  3 Mar 2004 10:47:21 +0100

vlc (0.7.0-3) unstable; urgency=medium

  * ppc/mpegvideo_altivec.c:
    + Build this file with GCC 3.2 to work around an ICE.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Jan 2004 15:36:30 +0100

vlc (0.7.0-2) unstable; urgency=low

  * debian/rules:
    + Look for faad in extras/faad2, not extras/faad.
  * modules/demux/mkv.cpp:
    + Updated mkv module for the latest Matroska version (Closes: #227923).
  * modules/video_output/caca.c:
    + Updated caca module for the latest libcaca version.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Jan 2004 18:30:58 +0100

vlc (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on fixed dvb-dev packages.
    + Build-depend on fixed linux-kernel-headers packages.
  * debian/rules:
    + Look for faad in extras/faad2, not extras/faad.
    + Enable postprocessing in the ffmpeg configuration.
    + Activated libcaca video output.
  * doc/vlc.1:
    + Fixed a minor typo (Closes: #223605).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  4 Jan 2004 03:29:22 +0100

vlc (0.6.2+cvs20031030-2) unstable; urgency=low

  * debian/control:
    + Build-depend on a newer wxwindows version to avoid incompatibilities.
    + Build-depend on linux-kernel-headers and build-conflict on dvb-dev
      because these packages cannot be installed together.
  * debian/rules:
    + Temporarily disabled the framebuffer video output plugin because of
      current code errors in linux-kernel-headers.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  1 Nov 2003 11:01:40 +0100

vlc (0.6.2+cvs20031030-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/rules:
    + Disabled the deprecated satellite plugin; the dvb plugin is now
      the recommended one (Closes: #216367).
    + Don't install fortunes in /usr/share/games, they are too private for
      common mortals (Closes: #212856). They are still available in the
      /usr/share/doc/vlc directory though.
    + Activated the speex codec.
    + Activated the PVR input module.
  * debian/control:
    + Depend on ttf-freefont for subtitles.
    + Upgraded debhelper build-dependency to (>= 4.0).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 31 Oct 2003 11:08:57 +0100

vlc (0.6.2-3) unstable; urgency=low

  * debian/control:
    + Set libxosd-dev build-dependency to (>= 2.2.4-1.3) because previous
      versions were broken on s390 (Closes: #208383).
    + Rewrote long descriptions (Closes: #209602, #209615, #209628, #209636,
      Closes: #209774, #209914, #210028, #210095).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 15 Sep 2003 21:28:43 +0200

vlc (0.6.2-2) unstable; urgency=low

  * debian/control:
    + Set libmatroska-dev build-dependency to (>= 0.5.0-3) because previous
      versions were broken on platforms where PIC/non-PIC cannot be mixed in
      objects (Closes: #208383).
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 02:32:54 +0200

vlc (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added a build-dependency on freetype6-dev.
    + Added a build-dependency on libdvbpsi2-dev.
    + We now recommend gnome-vlc | wxvlc.
    + We now suggest fortune-mod.
  * This release now uses libfreetype to render subtitles, and we recommend
    ttf-freefont | ttf-thryomanes, so that the old .rle font is no longer
    needed (Closes: #203013).
  * extras/faad:
    + aclocal-1.6 && autoconf && automake-1.6 -a -c -f && libtoolize -c -f
  * extras/faad/common/mp4v2:
    + aclocal-1.4 && autoconf && autoheader && automake-1.4 --foreign -a -c \
      && libtoolize -c -f
  * extras/mpeg2dec:
    + aclocal-1.7 && autoconf && automake-1.7 -a -c && libtoolize -c -f

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 10:45:24 +0200

vlc (0.6.0+cvs-20030716-2) unstable; urgency=low

  * debian/control:
    + Updated debhelper build-dependency to (>= 3.4.4) because we now
      use debian/compat.
    + Use ${misc:Depends} everywhere.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 16 Jul 2003 16:55:31 +0200

vlc (0.6.0+cvs-20030716-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Extended the package description.
  * modules/video_output/x11/xcommon.c:
    + Fix for crashes in the Mozilla plugin (Closes: #200920).
  * mozilla/*:
    + Compilation fixes for Mozilla 1.4 headers (Closes: #201093).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 16 Jul 2003 16:55:31 +0200

vlc (0.6.0+cvs-20030705-1) unstable; urgency=low

  * New CVS snapshot.
    + Includes previous Debian fixes.
    + Errors in plugins now properly trigger build abort so that no build
      failures are missed. Thanks to LaMont Jones for pointing out the problem.
  * debian/rules:
    + Enabled Matroska support.
    + Only build builtins in the first compile pass so that we don't mix PIC
      and non-PIC code (Closes: #199968). Phew, I hope I got it right this
      time.
  * extras/ffmpeg:
    + Re-applied the Alpha build fix from 0.6.0+cvs-20030627-2 that had
      disappeared in 0.6.0+cvs-20030703-1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat,  5 Jul 2003 01:09:11 +0200

vlc (0.6.0+cvs-20030703-1) unstable; urgency=low

  * New CVS snapshot.
    + Includes previous Debian fixes.
    + Build should be a bit faster now.
  * extras/faad:
    + aclocal-1.6 && autoconf && automake-1.6 -a -c -f && libtoolize -c -f
  * extras/faad/common/id3lib:
    + mkdir doc examples
    + aclocal-1.4 && autoconf && automake-1.4 -a -c && libtoolize -c -f
  * extras/mpeg2dec:
    + aclocal-1.7 && autoconf && automake-1.7 -a -c && libtoolize -c -f
    + Fixes build on parisc (Closes: #199693).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  3 Jul 2003 11:25:57 +0200

vlc (0.6.0+cvs-20030627-2) unstable; urgency=low

  * extras/ffmpeg:
    + Fixed compilation for Alpha.
  * debian/rules:
    + Enabled the video4linux input plugin (Closes: #199427).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 29 Jun 2003 21:12:10 +0200

vlc (0.6.0+cvs-20030627-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Replaced $(DEB_BUILD_ARCH) with `dpkg-architecture -qDEB_BUILD_GNU_CPU`
      so that the rules can be called directly.
    + Use the -s flag instead of -a so that debhelper properly handles the
      i386-only plugin packages.
    + Split the build rule into configure and build.
  * debian/control:
    + Removed leading "a"s from package descriptions.
    + Set policy to 3.5.10.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 21 Jun 2003 17:55:07 +0200

vlc (0.5.3-3) unstable; urgency=low

  * Built-in modules were linked twice in the mozilla plugin; removed the
    non-PIC ones (Closes: #194384).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 23 May 2003 11:15:19 +0200

vlc (0.5.3-2) unstable; urgency=low

  * Changed the libvlc0-dev section to libdevel.
  * We now build the static objects twice: once the normal way before we
    link them with VLC, and once with -fPIC so that they can be linked to
    the Mozilla plugin.
  * Updated extras/faad/config.{sub,guess}.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 14 Apr 2003 15:14:07 +0200

vlc (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed a clock skew issue in debian/rules.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  8 Apr 2003 15:20:20 +0100

vlc (0.5.2-4) unstable; urgency=low

  * Changed the section of gnome-vlc and kvlc according to new Debian
    archive sections.
  * Updated woody-buildpackage so that packages say "stable".

 -- Samuel Hocevar <sam@zoy.org>  Tue,  1 Apr 2003 18:08:01 +0200

vlc (0.5.2-3) unstable; urgency=low

  * Added explicit dependencies on vlc to legacy packages to make linda and
    lintian happier.
  * Added correct versioned build-dependency on debhelper.
  * Updated the autotools helper files in extras/faad.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 26 Mar 2003 02:50:34 +0100

vlc (0.5.2-2) unstable; urgency=low

  * Bumped up standards version to 0.5.9.0.
  * Added build-dependencies on libidl0 and libglib2.0-0 to work around
    mozilla-dev's currently broken dependencies.
  * We now link against libdvdread3 instead of libdvdread2.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 25 Mar 2003 23:21:51 +0100

vlc (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Removed vlc-plugin-dvb, vlc-plugin-xosd, vlc-plugin-aa, vlc-plugin-lirc and
    vlc-plugin-dv packages because the dependencies are quite small, and merged
    them into the main vlc package.
  * Removed the vlc-mad, vlc-arts, vlc-lirc and vlc-aa legacy packages because
    they were not in woody.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 11 Mar 2003 20:32:36 +0100

vlc (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * The vlc-glide package is now Architecture: i386 only.
  * The vlc-plugin-mad package Provides: mp3-decoder.
  * The deprecated vlc-* packages have a proper link to /usr/share/doc/vlc/.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 15 Feb 2003 03:43:33 +0100

vlc (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #157166).
  * Audio MPEG and A52 decoders now use external libraries (libmad, liba52).
  * Build-Depends are now valid (Closes: #147103).
  * More robust AVI parser (Closes: #158037).
  * An issue with X taking more and more CPU was fixed (Closes: #153286).
  * Package now includes a NEWS file.
  * New package containing a Mozilla plugin.
  * New codec packages: Ogg/Vorbis, DV.
  * New GUI package: wxvlc (wxWindows).
  * New debian/woody-buildpackage file that can be used to build Woody
    packages.
  * Made the GNOME desktop entries more user-friendly (Closes: #149749).

 -- Samuel Hocevar <sam@zoy.org>  Thu,  4 Jul 2002 17:44:25 +0200

vlc (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  3 Jun 2002 23:43:35 +0200

vlc (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 23 May 2002 01:27:05 +0200

vlc (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes a crash in the Gtk+ interface.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 18 Apr 2002 06:43:42 +0200

vlc (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Reworked Gtk interface (Closes: #138732), with a working preferences
    dialog (Closes: #134142, #134147).
  * The ALSA plugin now supports S/PDIF (Closes: #118301).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  6 Apr 2002 04:27:50 +0200

vlc (0.2.92-8) unstable; urgency=high

  * Only link with libXv.a if libXv_pic.a wasn't found, which fixes
    package builds on sid.
  * Added -ffunction-sections to the compilation of mpeg_vdec.a when
    the architecture is hppa.

 -- Samuel Hocevar <sam@zoy.org>  Sun,  6 Jan 2002 06:56:08 +0100

vlc (0.2.92-7) unstable; urgency=high

  * Fixed configure.in so that it doesn't fail on hppa.
  * Fixed a symbol resolution issue that made vlc crash when libdvdcss
    was installed.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  5 Jan 2002 03:46:23 +0100

vlc (0.2.92-6) unstable; urgency=high

  * Attempt to fix IA64 and hppa builds.

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 Jan 2002 14:11:02 +0100

vlc (0.2.92-5) unstable; urgency=high

  * Many fixes imported from the 0.2.92 upstream release (VCD input,
    buffer management, decoder error management).
  * Removed a stupid dependency on libc6 which prevented the package
    from being built on alpha.

 -- Samuel Hocevar <sam@zoy.org>  Wed,  2 Jan 2002 04:16:44 +0100

vlc (0.2.92-4) unstable; urgency=high

  * Put debian/control and debian/rules in sync again (Closes: #126697).
  * Replaced the 48x48 XPM icons with 32x32 icons to comply with policy
    (Closes: #126939).
  * Don't spawn the Gtk+ or the Gnome interface if no $DISPLAY variable is
    present, which fixes the framebuffer output (Closes: #101753).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 30 Dec 2001 02:59:01 +0100

vlc (0.2.92-3) unstable; urgency=high

  * Removed references to vlc-mad (Closes: #126194).

 -- Samuel Hocevar <sam@zoy.org>  Sat, 22 Dec 2001 21:04:27 +0100

vlc (0.2.92-2) unstable; urgency=high

  * Bumped urgency to high to get this stable version into testing; all
    reported critical bugs were fixed.
  * Bumped Standards-Version to 3.5.6.
  * Fixed a PowerPC compilation issue.
  * Fixed a crash in the VCD input.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 20 Dec 2001 23:24:21 +0100

vlc (0.2.92-1) unstable; urgency=low

  * Using the stable 0.2.92 CVS branch, has lots of stability fixes.
  * Disabled broken ALSA audio output (Closes: #110869, #119846).
  * Changed configure.in so that vlc is linked against libXv.a,
    not xvideo.so and sdl.so (Closes: #111790).
  * Added versioned build-dep to libasound2-dev (Closes: #121057).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 19 Dec 2001 17:06:44 +0100

vlc (0.2.91-2) unstable; urgency=low

  * Added "Video" menu hints (Closes: #121036).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 25 Nov 2001 02:25:34 +0100

vlc (0.2.91-1) unstable; urgency=low

  * New upstream release.
  * This release fixes IFO parsing issues (Closes: #119369).
  * vlc will dlopen() an installed libdvdcss if available, to play
    encrypted DVDs (Closes: #89856).
  * vlc is now in sync with the official libdvdcss (Closes: #118194).

 -- Samuel Hocevar <sam@zoy.org>  Mon, 12 Nov 2001 17:14:29 +0100

vlc (0.2.90-3) unstable; urgency=low

  * Added stricter Build-Depends on libsdl1.2-dev (Closes: #117180).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 26 Oct 2001 16:06:01 +0200

vlc (0.2.90-2) unstable; urgency=low

  * Various upstream bugfixes.
  * Compiled against libsdl1.2-debian (Closes: #116709).

 -- Samuel Hocevar <sam@zoy.org>  Tue, 23 Oct 2001 02:09:39 +0200

vlc (0.2.90-1) unstable; urgency=low

  * Fixed syntax error in build dependencies (Closes: #109722).
  * XVideo module now compiled as built-in, to avoid PIC and non-PIC
    code collision (Closes: #111790).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 10 Oct 2001 15:00:29 +0200

vlc (0.2.83-2) unstable; urgency=low

  * Fixed build dependencies for architectures not supporting libasound2
    (Closes: #109722).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 24 Aug 2001 12:47:45 +0200

vlc (0.2.83-1) unstable; urgency=low

  * New upstream release.
  * Activated subtitles in overlay mode (Closes: #97471).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 22 Aug 2001 15:18:01 +0200

vlc (0.2.82-1) unstable; urgency=low

  * New upstream release.
  * Fixed broken manpage symlinks (Closes: #99561).

 -- Samuel Hocevar <sam@zoy.org>  Tue,  7 Aug 2001 12:39:16 +0200

vlc (0.2.81-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Jul 2001 04:13:57 +0200

vlc (0.2.80-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Tue,  5 Jun 2001 04:41:06 +0200

vlc (0.2.73-2) unstable; urgency=low

  * We now build without MMX in the main application (Closes: #96036).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 May 2001 07:13:04 +0200

vlc (0.2.73-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Apr 2001 07:02:35 +0200

vlc (0.2.72-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon, 16 Apr 2001 14:33:53 +0200

vlc (0.2.71-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 13 Apr 2001 08:13:26 +0200

vlc (0.2.70-1) unstable; urgency=low

  * New upstream release.
  * Non-i386 package builds really fixed (Closes: #89285).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  7 Apr 2001 05:52:00 +0200

vlc (0.2.63-3) unstable; urgency=low

  * Added versioned conflicts/replaces to vlc-gtk (Closes: #88796).

 -- Samuel Hocevar <sam@zoy.org>  Wed,  7 Mar 2001 20:47:48 +0100

vlc (0.2.63-2) unstable; urgency=low

  * Glide shouldn't cause any non-x86 problems anymore (Closes: #88583).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 12:50:28 +0100

vlc (0.2.63-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 00:41:16 +0100

vlc (0.2.62-2) unstable; urgency=low

  * Removed a few lintian warnings.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  3 Mar 2001 10:29:31 +0100

vlc (0.2.62-1) unstable; urgency=low

  * New release. Glide and GGI packages build again.
  * Updated vlc.1 manpage (Closes: #87478).
  * Fixed debian/control (Closes: #83707).
  * The framebuffer plugin doesn't hijack ^C anymore (Closes: #87500).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  2 Mar 2001 17:32:24 +0100

vlc (0.2.61-1) unstable; urgency=low

  * New release. The package build works again.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 16 Feb 2001 08:09:59 +0100

vlc (0.2.60-1) unstable; urgency=low

  * New release. The package build is most presumably FUBAR.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 14 Feb 2001 08:33:46 +0100

vlc (0.2.50nocss-1) unstable; urgency=low

  * Only build vlc-glide under x86 (Closes: #84046).
  * Switched PentiumPro optimization off (Closes: #83707).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Feb 2001 20:49:15 +0100

vlc (0.2.50-1) unstable; urgency=low

  * Unstable release.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 31 Jan 2001 04:30:37 +0100

vlc (0.1.99i) unstable; urgency=low

  * Fixed the framerate display

 -- Samuel Hocevar <sam@zoy.org>  Tue, 24 Oct 2000 11:08:01 +0200

vlc (0.1.99i) unstable; urgency=low

  * fixed the support for field pictures, which involved a few dozens
    bugs in the video parser and video decoder.
  * renamed an inconsistent variable in src/input/input_file.c.
  * added support for I+ synchro (all Is and the first P).
  * fixed a motion compensation bug which generated some distortion
    on B images.
  * fixed a motion compensation bug for skipped macroblocks.
  * fixed a synchro bug for field images.
  * fixed the --server option which didn't work if a ~/.vlcrc existed.

 -- Samuel Hocevar <sam@via.ecp.fr>  Mon, 28 Aug 2000 02:34:18 +0200

vlc (0.1.99h) unstable; urgency=low

  * added support for the SDL vout : the --display fullscreen allows
    fullscreen when possible. Disabled by default.
  * updated debian directory to build vlc-sdl.
  * removed CCFLAGS flags which were improperly used.
  * added hints for powerpc build.
  * fixed the input_file exit bug.
  * removed the frame statistics output.
  * removed a verbose message in intf_sdl.c.
  * added a few sanity checks in the audio mpeg and ac3 decoders.
  * temporarily got rid of vlc.channels.

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 22 Aug 2000 01:31:58 +0200

vlc (0.1.99g) unstable; urgency=low

  * removed all "*vlc" aliases except "gvlc" and "fbvlc". The other sucked.
  * new --synchro flag which lets you force which images are decoded.
  * fixed 32bpp MMX YUV, made the comments clearer, removed an emms.
  * now scaling is on by default, so that people won't tell that the vlc
    cannot do scaling :-)
  * fixed 8bpp YUV.
  * fixed the fscked up Bresenham algorithm in all YUV functions.
  * fixed a dumb bug in the Makefile that prevented inclusion of the
    -march=pentium directive. thanks Meuuh, blame sam.
  * separate Debian packages

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 16 Aug 2000 01:07:14 +0200

vlc (0.1.99f) unstable; urgency=low

  * plugin detection now works
  * "gvlc", "fbvlc", "ggivlc" aliases now work
  * fixed functions that weren't properly inlined
  * removed bloat from the MMX YUV plugin
  * vlc.init becomes ~/.vlcrc
  * removed float operations in the video decoder, and all emms asm functions
  * borrowed linuxvideo's MMX motion compensation
  * fixed an undefined symbol in the MMX YUV plugin

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue,  8 Aug 2000 11:24:01 +0200

vlc (0.1.99e) unstable; urgency=low

  * new bitstream syntax and slight performance increase

 -- Samuel Hocevar <sam@via.ecp.fr>  Thu, 20 Jul 2000 15:14:06 +0200

vlc (0.1.99d) unstable; urgency=low

  * .deb is now more lintian-friendly
  * removed a few useless warning messages
  * new plugin API
  * plugin auto-detection
  * removed the default --enable-ppro option because it didn't work on K6-2
  * the framebuffer client now leaves the console in a working state
  * the dithered 8 bpp YUV transformation works again (blame bbp !)
  * the YUV transformations are now plugins as well
  * alternative symlinks like gvlc, fbvlc are now created at compile time
  * borrowed libmpeg2's GPLed MMX YUV transformations (16 and 32 bits)
  * fixed an endianness problem which occurred on iMacs

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 12 Jul 2000 01:24:40 +0200

vlc (0.1.99c) unstable; urgency=low

  * Caught Delete Window event in Gnome and X11 modes
  * Fixed manpage
  * GGI output now works
  * Fixed a segfault on exit for the Gnome plugin
  * Sound support almost works under BeOS

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 20 Jun 2000 03:01:12 +0200

vlc (0.1.99b) unstable; urgency=low

  * Added a ChangeLog file
  * Updated the VLAN code
  * Fixed a bug preventing to quit

 -- Samuel Hocevar <sam@via.ecp.fr>  Sat, 17 Jun 2000 03:46:16 +0200

vlc (0.1.99a) unstable; urgency=low

  * Fixed some compile flag errors

 -- Samuel Hocevar <sam@via.ecp.fr>  Thu, 15 Jun 2000 20:48:54 +0200

vlc (0.1.99-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Hocevar <sam@via.ecp.fr>  Mon, 13 Mar 2000 02:21:45 +0100
